#ifndef oslxErrorsNoCcs_H
#define oslxErrorsNoCcs_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: oslxErrorsNoCcs.h,v 1.1 2007/02/26 14:51:42 cguirao Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  01/11/96  Created
*/

/************************************************************************
 */

#define oslxERR_ALLOC_MEM "oslxERR_ALLOC_MEM : Could not allocate memory for buffer \"%s\" of size \"%d\""
#define oslxERR_BUF_OVERFLOW "oslxERR_BUF_OVERFLOW : The buffer \"%s\" of length \"%d\" cannot contain data \"%s\"."
#define oslxERR_STRING_LEN "oslxERR_STRING_LEN : Length of string entered as \"%s\" is too long (Max. length: %d, Actual length: %d)"
#define oslxERR_UNKNOWN_TYPE "oslxERR_UNKNOWN_TYPE : The type \"%d\" is unknown (String: %d, Logical: %d, Integer: %d, Double: %d)"
#define oslxERR_VALUE_OUT_OF_RANGE "oslxERR_VALUE_OUT_OF_RANGE : The value \"%s\" is out of range. Permitted range is \"[%d; %d]\"."
#define oslxERR_VALUE_TYPE "oslxERR_VALUE_TYPE : The value type of \"%s\" must be \"%s\"."
#define oslxERR_TOO_SMALL_INT "oslxERR_TOO_SMALL_INT : The value \"%d\" for \"%s\" is too small; must be bigger than \"%d\"."
#define oslxERR_SETUP_CMD_PREFIX "oslxERR_SETUP_CMD_PREFIX : Prefix \"%s\" in SETUP command message buffer unknown/illegal"
#define oslxERR_KEYWORD_FORMAT "oslxERR_KEYWORD_FORMAT : The format of the keyword \"%s\" is unknown"
#define oslxERR_KEYW_NOT_FOUND "oslxERR_KEYW_NOT_FOUND : The keyword \"%s\" was not found in the dictionary \"%s\""
#define oslxERR_INV_CHECK_MODE "oslxERR_INV_CHECK_MODE : The Check Mode \"%s\" is not valid when %s"
#define oslxERR_UNKNOWN_CHECK_MODE "oslxERR_UNKNOWN_CHECK_MODE : The Check Mode \"%s\" is not valid."
#define oslxERR_LOAD_DICT "oslxERR_LOAD_DICT : Could not load the dictionary \"%s\""
#define oslxERR_NO_DIC_AVAIL "oslxERR_NO_DIC_AVAIL : No Dictionary is available - cannot perform action: \"%s\"."
#define oslxERR_INVALID_FILENAME "oslxERR_INVALID_FILENAME : The filename \"%s\" is invalid - must be complete path"
#define oslxERR_FILENAME_TOO_LONG "oslxERR_FILENAME_TOO_LONG : The filename \"%s\" is too long (max. length: %d)"
#define oslxERR_FILE_NOT_FOUND "oslxERR_FILE_NOT_FOUND : The %s with the basename \"%s\" was not found."
#define oslxERR_CHK_UNKNOWN_KEYW "oslxERR_CHK_UNKNOWN_KEYW : Keyword issued \"%s\" is unknown - keyword buffer rejected"
#define oslxERR_CHK_IGNORE_KEYW "oslxERR_CHK_IGNORE_KEYW : Keyword \"%s\" can be ignored"
#define oslxERR_KEYW_PTR_NOT_INIT "oslxERR_KEYW_PTR_NOT_INIT : The Keyword Pointer must be initialized (oslxSETUP::ResetKeywordPtr())"
#define oslxERR_NO_MORE_KEYWORDS "oslxERR_NO_MORE_KEYWORDS : There are no more keywords to return."
#define oslxERR_NO_KEYWORDS "oslxERR_NO_KEYWORDS : No keywords are stored in the object."
#define oslxERR_FILTER_NO_AVAIL "oslxERR_FILTER_NO_AVAIL : The filter number \"%d\" is not available. Current number of filters added is \"%d\"."
#define oslxERR_UNKNOWN_FILTER "oslxERR_UNKNOWN_FILTER : Unknown filter \"{%s}{%s}{%s}{%s}\" specified."
#define oslxERR_UNKNOWN_CLASS "oslxERR_UNKNOWN_CLASS : The Keyword Class \"%d\" is unknown."
#define oslxERR_INIT_FILTER "oslxERR_INIT_FILTER : Could not initilize filter properly (error in call to \"%s\")."
#define oslxERR_ADD_FILTER "oslxERR_ADD_FILTER : Cannot add filter \"%s\". Reason: %s"
#define oslxERR_ILL_OPT_PAR "oslxERR_ILL_OPT_PAR : Illegal option \"%s\" for command/parameter \"%s\"."
#define oslxERR_WRONG_NO_OPT "oslxERR_WRONG_NO_OPT : Wrong number of parameters for \"%s\"."
#define oslxERR_ILLEGAL_PAR "oslxERR_ILLEGAL_PAR : Illegal parameter or wrong number of options for command \"%s\"."
#define oslxERR_RECV_MSG "oslxERR_RECV_MSG : Could not receive message."
#define oslxERR_PARSE_MSG "oslxERR_PARSE_MSG : Could not parse CCS Message."
#define oslxERR_ILLEGAL_COMMAND "oslxERR_ILLEGAL_COMMAND : Illegal command received \"%s\"."
#define oslxERR_SEND_REPLY "oslxERR_SEND_REPLY : Could not send reply to command \"%s\" to process \"%d\" in environment \"%s\"."
#define oslxERR_FORMAT_MSG "oslxERR_FORMAT_MSG : Format of message to OSLX Server wrong. Read \"%s\"."
#define oslxERR_ILLEGAL_COM_PAR "oslxERR_ILLEGAL_COM_PAR : Parameters for communication with the OSLX Server are illegal."
#define oslxERR_SET_ENV_VAR "oslxERR_SET_ENV_VAR : Could not set environment variable \"%s\" to value \"%s\"."
#define oslxERR_GET_ENV_VAR "oslxERR_GET_ENV_VAR : Could not get value of environment variable \"%s\"."
#define oslxERR_OPEN_FILE "oslxERR_OPEN_FILE : Could not open file \"%s\"."
#define oslxERR_WRITE_FILE "oslxERR_WRITE_FILE : Could not write in file \"%s\"."
#define oslxERR_LOCATE_FILE "oslxERR_LOCATE_FILE : Could not locate %s \"%s\" according to \"%s\" search path."
#define oslxERR_LOCATE_FILE2 "oslxERR_LOCATE_FILE2 : Could not locate %s \"%s\"."
#define oslxERR_READ_FILE "oslxERR_READ_FILE : Could not read \"%d\" bytes from file \"%s\"."
#define oslxERR_FILE_OP "oslxERR_FILE_OP : Could not %s file \"%s\"."
#define oslxERR_SYSTEM_CALL "oslxERR_SYSTEM_CALL : Could not carry out system call \"%s\". Consequence: %s."
#define oslxERR_ILLEGAL_SETUP_TYPE "oslxERR_ILLEGAL_SETUP_TYPE : Illegal Setup Type encountered."
#define oslxERR_ILLEGAL_FILE_FORMAT "oslxERR_ILLEGAL_FILE_FORMAT : Illegal format encountered for file \"%s\". Format must be \"%s\"."
#define oslxERR_UNKNOWN_FILE_TYPE "oslxERR_UNKNOWN_FILE_TYPE : Unknown type \"%s\" for %s. Allowed is \"%s\"."
#define oslxERR_CHANGE_CONFIG_TYPE "oslxERR_CHANGE_CONFIG_TYPE : Configuration File Type is set to \"%s\" - cannot load file of type \"%s\"."
#define oslxERR_CON_CONFIG_TYPE "oslxERR_CON_CONFIG_TYPE : There is contradiction between specified type \"%s\" and type indicated by file extension \"%s\""
#define oslxERR_NEED_TYPE "oslxERR_NEED_TYPE : The type of a %s must be given in order to save the file."
#define oslxERR_CON_CONFIG_TYPE2 "oslxERR_CON_CONFIG_TYPE2 : There is contradiction between specified type \"%s\" and type registered in the %s, \"%s\"."
#define oslxERR_ILLEGAL_INPUT "oslxERR_ILLEGAL_INPUT : %.80s."
#define oslxERR_GENERIC_W1 "oslxERR_GENERIC_W1 : %.256s"
#endif
