#ifndef slxErrorsNoCcs_H
#define slxErrorsNoCcs_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: slxErrorsNoCcs.h,v 1.1 2007/02/26 14:51:42 cguirao Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  01/11/96  Created
* epozna    22/01/01  errors added VLTSW20010137
*/

/************************************************************************
 */

#ifdef __cplusplus
extern "C" {
#endif

#define slxERR_OPEN_FILE "slxERR_OPEN_FILE : Could not open file \"%s\""
#define slxERR_READ_FILE "slxERR_READ_FILE : Error reading file \"%s\""
#define slxERR_FILE_FORMAT "slxERR_FILE_FORMAT : File \"%s\" does not have the correct format"
#define slxERR_LOG_RECV_FILE "slxERR_LOG_RECV_FILE : Could not access log receive file \"%s\""
#define slxERR_IMAGE_FILE "slxERR_IMAGE_FILE : Could not access image data file \"%s\""
#define slxERR_TEMP_IMAGE_FILE "slxERR_TEMP_IMAGE_FILE : Could not  access temporary image data file \"%s\""
#define slxERR_SORT_LOG_FILE "slxERR_SORT_LOG_FILE : Could not  access sorted log file \"%s\""
#define slxERR_REN_IMAGE_FILE "slxERR_REN_IMAGE_FILE : Could not rename temporary image file \"%s\" to image file \"%s\""
#define slxERR_REQ_SUB "slxERR_REQ_SUB : Could not request logs from subsystem at \"%s\""
#define slxERR_RECV_SUB "slxERR_RECV_SUB : Could not receive logs from subsystem"
#define slxERR_PARSE_MSG "slxERR_PARSE_MSG : Could not parse message"
#define slxERR_WRITE_FILE "slxERR_WRITE_FILE : Error writing file \"%s\""
#define slxERR_CREATE_FILE "slxERR_CREATE_FILE : Could not create file \"%s\""
#define slxERR_SEND_MSG "slxERR_SEND_MSG : Could not send command \"%s\" to \"%s/%s\""
#define slxERR_RECV_MSG "slxERR_RECV_MSG : Error receiving reply to command \"%s\""
#define slxERR_INS_SETUPPATH "slxERR_INS_SETUPPATH : Environment variable INS_SETUPPATH is not set"
#define slxERR_OPEN_ALIAS_TABLE "slxERR_OPEN_ALIAS_TABLE : Could not open Alias Conversion Table \"%s\""
#define slxERR_CRE_ALIAS_HASH_TABLE "slxERR_CRE_ALIAS_HASH_TABLE : Could not create Alias Conversion Hash Table from file \"%s\""
#define slxERR_ALIAS_NOT_DEF "slxERR_ALIAS_NOT_DEF : Alias \"%s\" not defined"
#define slxERR_MODE_PROT_REG "slxERR_MODE_PROT_REG : Missing start/stop indicator for protected region in \"%s\""
#define slxERR_FORMAT_KEYWORD "slxERR_FORMAT_KEYWORD : Format of keyword \"%s\" is wrong"
#define slxERR_OPEN_DIC "slxERR_OPEN_DIC : Could not open dictionary \"%s\""
#define slxERR_READ_DIC "slxERR_READ_DIC : Error encountered parsing dictionary \"%s\""
#define slxERR_FORMAT_DIC "slxERR_FORMAT_DIC : Format error in the dictionary \"%s\""
#define slxERR_LOCATE_DIC "slxERR_LOCATE_DIC : Could not find dictionary \"%s\""
#define slxERR_UNKNOWN_DATA_TYPE_DIC "slxERR_UNKNOWN_DATA_TYPE_DIC : Unknown data type \"%s\" specified in the dictionary \"%s\""
#define slxERR_RENAME_FILE "slxERR_RENAME_FILE : Could not rename file \"%s\" to name \"%s\""
#define slxERR_HEADER_DIC "slxERR_HEADER_DIC : The dictionary \"%s\" may be inconsistent - header info not correct"
#define slxERR_ERR_REPLY_RECV "slxERR_ERR_REPLY_RECV : An error message was received on command \"%s\""
#define slxERR_SET_RECV_FILT "slxERR_SET_RECV_FILT : Could not adjust Message Receive Filter for \"%s/%s\""
#define slxERR_INPUT_PARS "slxERR_INPUT_PARS : Input parameters wrong"
#define slxERR_CREATE_FITS "slxERR_CREATE_FITS : Could not create FITS keyword - format of input parameters wrong"
#define slxERR_KEYWORD_NOT_FOUND "slxERR_KEYWORD_NOT_FOUND : The keyword \"%s\" was not found in %.40s."
#define slxERR_ALLOC_MEM "slxERR_ALLOC_MEM : Could not  allocate memory"
#define slxERR_LOCATE_FILE "slxERR_LOCATE_FILE : Could not find \"%s\" according to INS_SETUPPATH or path given with filename"
#define slxERR_WRONG_PATH "slxERR_WRONG_PATH : Path \"%s\" is not correct"
#define slxERR_WRONG_FD "slxERR_WRONG_FD : File corresponding to file descriptor \"%d\" does not exist"
#define slxERR_WRITE_FILE_FD "slxERR_WRITE_FILE_FD : Could not write in file with file descriptor \"%d\""
#define slxERR_ENV_VAR "slxERR_ENV_VAR : The specified Environment Variable \"%s\" could not be accessed"
#define slxERR_LOCATE_FILE_GEN "slxERR_LOCATE_FILE_GEN : Could not locate file \"%s\" according to environment variable \"%s\""
#define slxERR_OPEN_DIR "slxERR_OPEN_DIR : Could not open the directory \"%s\" ."
#define slxERR_DOUBLE_TOO_LRG "slxERR_DOUBLE_TOO_LRG : Double value too large, could not create FITS line"
#define slxERR_INTEGER_TOO_LRG "slxERR_INTEGER_TOO_LRG : Integer value too large, could not create FITS line"
#define slxERR_FORMAT_DYN_BUF "slxERR_FORMAT_DYN_BUF : Format of the SLX Dynamic Buffer is wrong"
#define slxERR_DYN_BUF_LINE_LEN "slxERR_DYN_BUF_LINE_LEN : Next line of SLX Dynamic Buffer too long to be stored in expected buffer"
#define slxERR_DYN_BUF_ACTION "slxERR_DYN_BUF_ACTION : Could not perform Dynamic Buffer action \"%s\". Reason :  %s"
#define slxERR_BUF_OVERFLOW "slxERR_BUF_OVERFLOW : Length of string buffer too long"
#define slxERR_CH_REC_OVERFLOW "slxERR_CH_REC_OVERFLOW : Tried to index a non-existing element \"%d\" in the SLX Change Record (max. no, of elements \"%d\")"
#define slxERR_ENV_VAR_DEF "slxERR_ENV_VAR_DEF : The specified environment variable \"%s\" could not be accessed. Using \"%s\" as default"
#define slxERR_ENV_VAR_NOT_DEF "slxERR_ENV_VAR_NOT_DEF : The specified environment variable \"%s\" could not be accessed."
#define slxERR_SYSTEM_CALL "slxERR_SYSTEM_CALL : Error performing system call \"%s\". Consequence :  %s."
#define slxERR_SETUP_TYPE "slxERR_SETUP_TYPE : Unknown Setup Type encountered."
#define slxERR_NO_DIC_LOADED "slxERR_NO_DIC_LOADED : No Dictionary is loaded. Load a Dictionary before performing this operation."
#define slxERR_UNKNOWN_DIC_CLASS "slxERR_UNKNOWN_DIC_CLASS : The Keyword Class \"%s\" is unknown."
#define slxERR_FORMAT_DIC2 "slxERR_FORMAT_DIC2 : Discovered error in Dictionary in line \"%d\", in record for parameter \"%s\"."
#define slxERR_VALUE_FORMAT "slxERR_VALUE_FORMAT : Value format \"%s\" is not legal."
#define slxERR_GENERIC_W    "slxERR_GENERIC_W : %.256s"
#define slxERR_NOT_DIRECTORY "slxERR_NOT_DIRECTORY : The given path \"%.100s\" is not a directory."
#define slxERR_STATUS_PATH "slxERR_STATUS_PATH : Could not get status of the given path \"%.80s\".(Path may not exist.)"
#ifdef __cplusplus
}
#endif

#endif /*!slxErrorsNoCcs_H*/
