#ifndef ftuBASE_H
#define ftuBASE_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuBASE.h,v 1.1 2004/09/06 14:38:35 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  20/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "oslxBASE.h"

#include "utilLib.h"
#include "utilERROR.h"
#include "utilLOG.h"

#include "ftuErrorsNoCcs.h"
#include "ftuDefs.h"


class ftuBASE: public utilERROR, public utilLOG
{
  public:
    ftuBASE();
    ~ftuBASE();

  protected:
    slxKEYW_LINE   errBuf_;
  private:
};

extern "C" {
    void checksum(char            *buf,
		  int             length,
		  unsigned short  *sum16,
		  unsigned int    *sum32);

    void char_encode(unsigned int	value,
		     char		*ascii,
		     int		nbytes,
		     int		permute);

    void ffswap2(short *svalues,
		 long nvals);   
    
    void ffcsum(char          *buf,      
		long          nrec, 
		unsigned long *sum); 

    void ffesum(unsigned long sum,     /* I - accumulated checksum */
		int           complm,  /* I - = 1 encode compl. of the sum */
		char          *ascii);
}

#endif /*!ftuBASE_H*/

// --- oOo ---
