#ifndef ftuDefs_H
#define ftuDefs_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuDefs.h,v 1.1 2004/09/06 14:38:35 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  20/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#if defined(__linux__) && !defined(FLT_MAX)
    #define FLT_MAX ((float)3.40282347e+38)
    #define FLT_MIN ((float)1.17549435e-38)
#endif


/* Miscelleneous constants.
 */
#define ftuUNDEFINED        -1


/* Define FITS types. 
 */
typedef unsigned char       ftuINT8;
typedef short               ftuINT16;
typedef int                 ftuINT32;
typedef unsigned int        ftuUINT32;
typedef unsigned long int   ftuULINT32;
typedef float               ftuFP32;
typedef double              ftuFP64;

/* Actions.
 */
typedef enum {
    ftuUNKNOWN = 0,
    ftuADD = 1,
    ftuCHANGE,
    ftuRENAME,
    ftuMOVE,
    ftuCOPY,
    ftuREMOVE,
    ftuFILE_SPLIT,
    ftuFILE_RENAME,
    ftuFILE_PATH,
    ftuHDR_DUMP
} ftuACTION;
#define ftuUNKNOWN_STR           "UNKNOWN"
#define ftuADD_STR               "ADD"
#define ftuCHANGE_STR            "CHANGE"
#define ftuRENAME_STR            "RENAME"
#define ftuMOVE_STR              "MOVE"
#define ftuCOPY_STR              "COPY"
#define ftuREMOVE_STR            "REMOVE"
#define ftuFILE_SPLIT_STR        "FILE_SPLIT"
#define ftuFILE_RENAME_STR       "FILE_RENAME"
#define ftuFILE_PATH_STR         "FILE_PATH_STR"
#define ftuHDR_DUMP_STR          "HDR_DUMP"

char  *ftuAction2Str(const int actionNo);

/* Value sources. 
 */
typedef enum {
    ftuSRC_UNKNOWN = 0,
    ftuSRC_KEY,
    ftuSRC_DB,
    ftuSRC_FCT,
    ftuSRC_CONST
} ftuVALUE_SOURCE;

/* Header Dump types. 
 */
typedef enum {
    ftuHDR_DUMP_NONE = 0,
    ftuHDR_DUMP_NL,
    ftuHDR_DUMP_NO_NL
} ftuHDR_DUMP_TYPES;
#define ftuHDR_DUMP_NL_STR       "NEWLINE"
#define ftuHDR_DUMP_NO_NL_STR    "NO_NEWLINE"

/* Types of FITS file parts.
 */
typedef enum {
    ftuUNKNOWN_HDR_TYPE,
    ftuPRIM_HDR,
    ftuIMAGE_EXT,
    ftuASCII_TABLE_EXT,
    ftuBIN_TABLE_EXT
} ftuFITS_HDR_TYPES;
#define ftuPRIM_HDR_STR        "PRIMARY_HEADER"
#define ftuIMAGE_EXT_STR       "IMAGE"
#define ftuASCII_TABLE_EXT_STR "TABLE"
#define ftuBIN_TABLE_EXT_STR   "BINTABLE"

/* For scanning of FITS headers. 
 */
#define ftuNO_HDR_SCAN      0
#define ftuSCAN_HDRS        1

#endif /*!ftuDefs_H*/

/* --- oOo --- */
