#ifndef ftuFITS_H
#define ftuFITS_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuFITS.h,v 1.2 2005/11/04 15:56:11 jknudstr Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  04/11/2005  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <string>

#include "fitsio.h" 

#include "oslxDICTIONARY.h"

#include "utilLib.h"

#include "ftuBASE.h"

using namespace std;


class ftuFITS: public ftuBASE
{
  public:
    ftuFITS();
    ~ftuFITS();

    utilSTAT  Open(const string &filename,
		   const int    ioMode = READWRITE);
    utilSTAT  Save(void);
    string    &Filename(void);
    utilSTAT  CheckFile(void);

    void            SetDictionary(oslxDICTIONARY *dictionary);
    oslxDICTIONARY  *Dictionary(void);

    int       GetStatus(void);
    string    &GetStatusStr(void);
    
    int       NoOfHdus(void);
    utilSTAT  Mv2Hdu(const int hdu);

    // Keyword input/output
    bool      KeyInHdu(const string &keyName);
    utilSTAT  GetKey(const string &keyName,
		     string       &valStr,
		     string       &comment);
    utilSTAT  GetKey(const string &keyName,
		     int          *val,
		     string       &comment);
    utilSTAT  GetKey(const string &keyName,
		     double       *val,
		     string       &comment);
    utilSTAT  WriteKey(const string  &keyName,
		       const string  &val,
		       const string  *comment = 0);
    utilSTAT  WriteComment(const string &comment);
    utilSTAT  RemoveKey(const string  &keyName);

  protected:
    utilSTAT  GenComment(const string  &keyName,
			 const string  &val,
			 string        &comment);
  private:
    int             _status;
    string          _statusStr;
    fitsfile        *_filePtr;
    string          _filename;

    oslxDICTIONARY  *_dictionary;
};

#endif // ifndef ftuFITS_H

// EOF
