
/*---------------------------------------------------------------------------
									E.S.O.
 ----------------------------------------------------------------------------
   File name 	:	mmap_i.h
   Author 		:	Nicolas Devillard
   Created on	:	August 1999
   Language		:	ANSI C
  					Part of ECLIPSE library
   Description	:	mmap() interfaces to open/close files
 *--------------------------------------------------------------------------*/

/*

	$Id: mmap_i.h,v 1.1 2004/09/06 14:38:35 cguirao Exp $
	$Author: cguirao $
	$Date: 2004/09/06 14:38:35 $
	$Revision: 1.1 $
	$Log: mmap_i.h,v $
	Revision 1.1  2004/09/06 14:38:35  cguirao
	*** empty log message ***
	
	Revision 1.1  2004/09/02 14:36:21  cguirao
	*** empty log message ***
	
	Revision 1.1  2004/08/27 14:52:44  cguirao
	First Check In
	
	Revision 1.49  2002/02/21 17:36:38  jknudstr
	*** empty log message ***

	Revision 1.48  2002/02/13 15:50:19  jknudstr
	Extraction of single HDUs at splitting.

	Revision 1.47  2001/09/12 11:14:36  jknudstr
	Fixed bug in ftuFTT:HandleActionRemove().

	Revision 1.46  2001/08/27 12:04:32  jknudstr
	Fixed SPR DFS00853

	Revision 1.45  2001/08/27 09:51:25  jknudstr
	Added possibility for adding COMMENT keywords (SPR: DFS00844).

	Revision 1.44  2001/02/14 16:11:15  jknudstr
	Ported to HP-UX 11.0.

	Revision 1.43  2001/01/25 08:27:13  jknudstr
	ftuFTT.C was split into ftuFTT.C, ftuFTT_Calc.C,
	ftuFTT_File.C, ftuFTT_Trans.C.

	Revision 1.42  2000/09/25 09:00:22  jknudstr
	Minor change due to change in utilLib (util.h -> utilLib.h).

	Revision 1.41  2000/09/20 07:06:26  jknudstr
	test

	Revision 1.40  2000/09/08 11:31:50  jknudstr
	Implemented SPR DFS00782 (problem with
	external plug-in functions).

	Revision 1.39  2000/08/31 13:33:57  jknudstr
	Fixed SPRs:

	DFS00773, DFS00774

	Revision 1.38  2000/08/30 07:48:29  jknudstr
	Fixed but in connection with the -targetDir input parameter.

	Revision 1.37  2000/08/28 10:51:56  jknudstr
	Fixed bug in connection with -targetDir/-targetFile options.

	Revision 1.36  2000/08/21 12:19:24  jknudstr
	Implemented SPRs: DFS00768, DFS00769.

	Revision 1.35  2000/08/18 11:02:24  jknudstr
	Implemented DFS00769.

	Revision 1.34  2000/08/17 07:15:20  jknudstr
	Fixed bug in connection with system call
	rename() when running within the Beowulf
	Cluster.

	Revision 1.33  2000/08/09 13:33:10  jknudstr
	Fixed SPRs: DFS00763, DFS00764, DFS00765.

	Revision 1.32  2000/08/01 08:11:47  jknudstr
	*** empty log message ***

	Revision 1.31  2000/08/01 07:54:03  jknudstr
	*** empty log message ***

	Revision 1.30  2000/07/24 15:25:58  jknudstr
	Fix bug in handling of BSCALE/BZERO.

	Revision 1.29  2000/07/12 15:07:40  jknudstr
	Fixed problem with checksum calculation
	on Linux.

	Revision 1.28  2000/07/04 15:49:14  jknudstr
	Fixed SPRs DFS00728, DFS00731, DFS00737,
	DFS00727, DFS00723, DFS00722, DFS00721,
	DFS00729.

	Revision 1.23  2000/06/13 13:34:07  jknudstr
	*** empty log message ***

	Revision 1.22  2000/05/12 13:47:00  jknudstr
	FTU June 2000/1

	Revision 1.21  2000/05/02 09:34:01  jknudstr
	*** empty log message ***

	Revision 1.20  2000/04/28 11:24:20  jknudstr
	*** empty log message ***

	Revision 1.19  2000/04/25 14:14:57  jknudstr
	*** empty log message ***

	Revision 1.18  2000/04/25 14:03:57  jknudstr
	*** empty log message ***

	Revision 1.17  2000/04/10 12:41:46  jknudstr
	*** empty log message ***

	Revision 1.16  2000/04/05 08:03:04  jknudstr
	*** empty log message ***

	Revision 1.15  2000/04/03 11:34:35  jknudstr
	*** empty log message ***

	Revision 1.14  2000/03/31 12:34:32  jknudstr
	*** empty log message ***

	Revision 1.13  2000/03/31 09:48:16  jknudstr
	*** empty log message ***

	Revision 1.12  2000/03/29 16:06:03  jknudstr
	April 1st version/1

	Revision 1.11  2000/03/10 15:10:47  jknudstr
	*** empty log message ***

	Revision 1.10  2000/03/09 16:03:43  jknudstr
	*** empty log message ***

	Revision 1.9  2000/03/09 10:08:36  jknudstr
	*** empty log message ***

	Revision 1.8  2000/03/06 10:10:32  jknudstr
	*** empty log message ***

	Revision 1.7  2000/03/01 12:59:13  jknudstr
	*** empty log message ***

	Revision 1.6  2000/02/25 16:43:58  jknudstr
	*** empty log message ***

	Revision 1.5  2000/02/25 12:52:57  jknudstr
	*** empty log message ***

	Revision 1.4  2000/02/25 10:00:00  jknudstr
	*** empty log message ***

	Revision 1.3  2000/02/24 14:48:32  jknudstr
	*** empty log message ***

	Revision 1.2  2000/02/17 16:45:33  jknudstr
	*** empty log message ***

	Revision 1.1  2000/02/04 14:41:11  dataflow
	first release

	Revision 1.1  1999/08/23 14:57:14  ndevilla
	Initial revision


*/

#ifndef _MMAP_I_H_
#define _MMAP_I_H_

/*---------------------------------------------------------------------------
   								Includes
 ---------------------------------------------------------------------------*/

#include <sys/types.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*---------------------------------------------------------------------------
   								New types
 ---------------------------------------------------------------------------*/

typedef struct _MMAP_FILE_ {
    int             fd ;
    char  *         buf ;
    unsigned long   size ;
    char            filename[1024] ;
} mmap_file ;



/*---------------------------------------------------------------------------
  							Function prototypes
 ---------------------------------------------------------------------------*/




/*---------------------------------------------------------------------------
   Function	:	mmap_open()
   In 		:	filename
   Out 		:	pointer to allocated mmap_file structure
   Job		:	mmap the totality of a given file
   Notice	:	should only be closed by mmap_close()
 ---------------------------------------------------------------------------*/

mmap_file * mmap_open(char * filename);


/*---------------------------------------------------------------------------
   Function	:	mmap_close()
   In 		:	allocated mmapped_file struct pointer
   Out 		:	void
   Job		:	munmap and close the file
   Notice	:
 ---------------------------------------------------------------------------*/

void mmap_close(mmap_file * mm);

#endif
