#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: FtuFttUt.py,v 1.1 2004/09/06 14:38:37 cguirao Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  16/02/2001  Created
#

"""
Module containing various utilities to support the FTU FTT Python project.
"""

import exceptions, types
import PccUtUtils, PccPaf

def checkExpKey(key,
                expKey,
                fttPafObj = None,
                keyCount = -1):
    """
    Check if a keyword is the expected one. If not raise an exception.
    
    key          Keyword to be checked.
    
    expKey       Keyword expected.

    fttPafObj    Reference to FTT PAF object. Optional.
    
    keyCount     Keyword counter into the FTT PAF object. Optional.
    
    Returns:     Void.
    """
    PccUtUtils.checkType("key", key, "FtuFttUt.checkExpKey()",types.StringType)
    PccUtUtils.checkType("expKey", expKey, "FtuFttUt.checkExpKey()",
                         types.StringType)
    if (fttPafObj != None):
        PccUtUtils.checkType("fttPafObj", fttPafObj, "FtuFttUt.checkExpKey()",
                             PccPaf.PccPaf)
    PccUtUtils.checkType("keyCount", keyCount, "FtuFttUt.checkExpKey()",
                         types.IntType)
    
    if ((fttPafObj != None) and (keyCount != -1)):
        if (keyCount >= fttPafObj.getNoOfKeys()):
            raise exceptions.Exception, \
                  "Trying to index non-existing key element in " +\
                  "PAF class. Index: " + str(keyCount) + ". PAF file: "+\
                  fttPafObj.getFileName() + "."
        
    if (key != expKey):
        raise exceptions.Exception, \
              "Didn't find expected key " + expKey + ". Found " +\
              key + " instead."


#
# ___oOo___
