# CHECK_CFITSIO
#----------------
# Checks for the CFITSIO area
AC_DEFUN([CHECK_CFITSIO],
[

    AC_MSG_CHECKING([for CFITSIO])

    AC_ARG_WITH(CFITSIO,
                AC_HELP_STRING([--with-CFITSIO],
                               [location where CFITSIO is installed]),
                [
                    CFITSIO=$withval
                ])

    AC_ARG_ENABLE(CFITSIO-test,
                  AC_HELP_STRING([--disable-CFITSIO-test],
                                 [disables the check for the CFITSIO area]),
                  enable_CFITSIO=$enableval,
                  enable_CFITSIO=yes)


    if test "x$enable_CFITSIO" = xyes ; then

        # Check for the CFITSIO area

        if test -z "$CFITSIO"; then
           AC_MSG_ERROR([Environment CFITSIO not defined on your system. Please check!])
 
        else
           if test ! -d "$CFITSIO/include" ; then
              AC_MSG_ERROR([$CFITSIO/include does not exist!]);
           fi
           if test ! -d "$CFITSIO/lib" ; then
              AC_MSG_ERROR([$CFITSIO/lib does not exist!])
              
           fi
        fi

        # Set up the symbols
        AC_MSG_RESULT([CFITSIO=$CFITSIO])
        CFITSIO_INCLUDES="-I$CFITSIO/include"
        CFITSIO_LIBS="-L$CFITSIO/lib"
    else
        AC_MSG_RESULT([disabled])
        AC_MSG_WARN([CFITSIO checks have been disabled! This package may not build!])
        CFITSIO_INCLUDES=""
        CFITSIO_LIBS=""
    fi

    AC_SUBST(CFITSIO_INCLUDES)
    AC_SUBST(CFITSIO_LIBS)
])
