# CHECK_INTROOT
#----------------
# Checks for the INTROOT area
AC_DEFUN([CHECK_INTROOT],
[

    AC_MSG_CHECKING([for INTROOT])

    AC_ARG_WITH(INTROOT,
                AC_HELP_STRING([--with-INTROOT],
                               [location where INTROOT is installed]),
                [
                    INTROOT=$withval
                ])

    AC_ARG_ENABLE(INTROOT-test,
                  AC_HELP_STRING([--disable-INTROOT-test],
                                 [disables the check for the INTROOT area]),
                  enable_INTROOT_test=$enableval,
                  enable_INTROOT_test=yes)


    if test "x$enable_INTROOT_test" = xyes ; then

        # Check for the INTROOT area

        if test -z "$INTROOT"; then
           AC_MSG_ERROR([Environment INTROOT not defined on your system. Please check!])
 
        else
           if test ! -d "$INTROOT/include" ; then
              AC_MSG_ERROR([$INTROOT/include does not exist. Please check the installation of other modules defined in your DEPENDENCIES file!])
           fi
           if test ! -d "$INTROOT/lib" ; then
              AC_MSG_ERROR([$INTROOT/include does not exist. Please check the installation of other modules defined in your DEPENDENCIES file!])
           fi
        fi

        # Set up the symbols
        AC_MSG_RESULT([INTROOT=$INTROOT])
        INTROOT_INCLUDES="-I$INTROOT/include"
        INTROOT_LIBS="-L$INTROOT/lib"
    else
        AC_MSG_RESULT([disabled])
        AC_MSG_WARN([INTROOT checks have been disabled! This package may not build!])
        INTROOT_INCLUDES=""
        INTROOT_LIBS=""
    fi

    AC_SUBST(INTROOT_INCLUDES)
    AC_SUBST(INTROOT_LIBS)

])
