# CHECK_OSLX
#----------------
# Checks for the OSLX area
AC_DEFUN([CHECK_OSLX],
[

    AC_MSG_CHECKING([for OSLX])

    AC_ARG_WITH(OSLX,
                AC_HELP_STRING([--with-OSLX],
                               [location where OSLX is installed]),
                [
                    OSLX=$withval
                ])

    AC_ARG_ENABLE(OSLX-test,
                  AC_HELP_STRING([--disable-OSLX-test],
                                 [disables the check for the OSLX area]),
                  enable_OSLX=$enableval,
                  enable_OSLX=yes)


    if test "x$enable_OSLX" = xyes ; then

        # Check for the OSLX area

        if test -z "$OSLX"; then
           AC_MSG_ERROR([Environment OSLX not defined on your system. Please check!])
 
        else
           if test ! -d "$OSLX/include" ; then
              AC_MSG_ERROR([$OSLX/include does not exist!]);
           fi
           if test ! -d "$OSLX/lib" ; then
              AC_MSG_ERROR([$OSLX/lib does not exist!])
              
           fi
        fi

        # Set up the symbols
        AC_MSG_RESULT([OSLX=$OSLX])
        OSLX_INCLUDES="-I$OSLX/include"
        OSLX_LIBS="-L$OSLX/lib"
    else
        AC_MSG_RESULT([disabled])
        AC_MSG_WARN([OSLX checks have been disabled! This package may not build!])
        OSLX_INCLUDES=""
        OSLX_LIBS=""
    fi

    AC_SUBST(OSLX_INCLUDES)
    AC_SUBST(OSLX_LIBS)
])
