#ifndef utilERROR_H
#define utilERROR_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilERROR.h,v 1.1 2004/09/21 12:45:40 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  15/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "miscNoCcsCpp.h"
#include "utilDefs.h"


// Error types.
typedef enum {
    utilERR_NO_ERROR = 1,
    utilERR_WARNING,
    utilERR_SEVERE,
    utilERR_FATAL
} utilERR_SEVERITY;

#define utilERR_NO_ERROR_STR "NO-ERROR"
#define utilERR_WARNING_STR  "WARNING"
#define utilERR_SEVERE_STR   "SEVERE"
#define utilERR_FATAL_STR    "FATAL"

class utilERROR: public eccsERROR_CLASS
{
  public:
    utilERROR();
    ~utilERROR();

    
    utilSTAT         ClearStack();
    
    utilSTAT         CloseStack();
	
    void            Severity(const utilERR_SEVERITY  severity);

    utilERR_SEVERITY Severity();

    utilSTAT         ErrAdd(ccsMODULEID           moduleId, 
			   char                  *errorMnemonic,
			   const utilERR_SEVERITY severity, ...);

    utilSTAT         ErrSysAdd(ccsMODULEID            moduleId, 
			      char                   *errorMnemonic, 
			      const utilERR_SEVERITY  severity, ...);

    int             NoOfErrors();

    ccsSTACK_ELEM   *GetError(const int errorNo);

  protected:
  private:
    utilSTAT SetTimeStamp_();

    utilERR_SEVERITY  severity_;
};


#endif /*!utilERROR_H*/

// --- oOo ---
