#ifndef utilFILE_MGR_H
#define utilFILE_MGR_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilFILE_MGR.h,v 1.1 2004/09/21 12:45:40 cguirao Exp $"
 *
 * Who       When      What
 * --------  --------  ----------------------------------------------
 * jknudstr  20/08/99  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include <stdlib.h>

#include "miscHash.h"
#include "miscNoCcs.h"
#include "miscNoCcsCpp.h"
#include "misc.h"
#include "slx.h"
#include "utilDefs.h"
#include "utilHASH.h"

class utilFILE_INFO
{
  public:
    utilFILE_INFO() {
	fileName_ = NULL;
    }
    ~utilFILE_INFO() {
	if (fileName_ != NULL)
	    free(fileName_);
    }
    
    utilFILE_INFO  &FileName(const slxFILENAME  fileName) {
	if (fileName_ != NULL)
	    free(fileName_); 
	fileName_ = slxStrDup(fileName);
	return *this;
    }
    char          *FileName() {
	if (fileName_ == NULL)
	    return "";
	else
	    return fileName_;
    }
    
  protected:
  private:
    char  *fileName_;
};

// Callback to delete instances of the class utilFILE_INFO.
void fttFileInfoDeleteEl(void *elPtr);
class utilFILE_INFO_HASH: public utilHASH
{
  public:
    utilFILE_INFO_HASH() {
	SetDeleteElFct(fttFileInfoDeleteEl);
    }
};

class utilFILE_MGR: public eccsERROR_CLASS
{
  public:
    utilFILE_MGR();
    ~utilFILE_MGR();
    
    utilSTAT Reset();

    utilSTAT GetExt(const slxFILENAME  filename,
		    slxFILENAME        ext);
    
    utilSTAT GlobMatch(const slxFILENAME  fileNamePattern);
    int      NoOfFilesFound();
    utilSTAT GetFile(const int    fileNo,
		     slxFILENAME  fileName);
    
    utilSTAT GetFileComplete(const int    fileNo,
			     slxFILENAME  fileName);
    
    static void        SplitFileName(const slxFILENAME completeName,
				     slxFILENAME       path,
				     slxFILENAME       fileName,
				     slxFILENAME       extension);

    static utilLOGICAL FileExists(const slxFILENAME    fileName);

  protected:
    utilSTAT    AddFile(const  char   *fileName);
    utilSTAT    AddFile(const  char   *dir,
			const  char   *fileName);

  private:
    utilFILE_INFO_HASH  fileTable_;
    int                 noOfFilesFound_;
};

#endif /*!utilFILE_MGR_H*/

// --- oOo ---
