#ifndef utilHASH_H
#define utilHASH_H
/******************************************************************************
 * E.S.O. - VLT project
 *
 * "@(#) $Id: utilHASH.h,v 1.1 2004/09/21 12:45:40 cguirao Exp $"
 *
 * who       when      what
 * --------  --------  ----------------------------------------------
 * jknudstr  14/02/99  created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "miscHash.h"
#include "miscNoCcs.h"
#include "miscNoCcsCpp.h"
#include "utilDefs.h"
#include "utilTYPES.h"

typedef void(*utilHASH_DEL_CB)(void *);

void  utilDeleteEl(void *elPtr);

class utilHASH : public eccsERROR_CLASS
{
public:
    utilHASH(utilHASH_DEL_CB fct = utilDeleteEl);
    ~utilHASH();

    void              SetDeleteElFct(utilHASH_DEL_CB  fct);
    void              DeleteEl(void *elPtr);
    utilSTAT          DeleteTable();
    
    utilSTAT          AddEl(const char      *key,
			    void            **element);
    
    utilSTAT          AddEl(const int       key,
			    void            **element);
    
    utilSTAT          FreeEl(const char      *key);
    
    utilSTAT          GetEl(const char      *key,
			    void            **element);
  
    utilSTAT          GetEl(const int       key,
			    void            **element);

    utilSTAT          AddIntEl(const char      *key,
			       const vltINT32  intVal);
  
    utilSTAT          GetIntEl(const char      *key,
			       vltINT32        *intVal);

    utilSTAT          GetSeq(const vltLOGICAL  initialize,
			     void              **element);
    
    utilLOGICAL       ElInTable(const char      *key);
   
    int               NoOfEls();

  protected:
    
  private:
    miscHASH_TABLE       hashTable_;
    ccsERROR             intCcsError_;
    int                  noOfEls_;
    utilHASH_DEL_CB      deleteElCb_;
};

#endif /*!utilHASH_H*/

// --- oOo ---
