/******************************************************************************
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilPAF.C,v 1.2 2008/09/04 15:47:41 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  21/01/2000  Created 
 */

/************************************************************************
 *
 *   NAME
 *   utilPAF - The BAT repository implementation of a PAF file handler
 * 
 *   SYNOPSIS
 *   
 *   PARENT CLASS
 * 
 *   DESCRIPTION
 *
 *   PUBLIC METHODS
 *
 *   PUBLIC DATA MEMBERS
 *
 *   PROTECTED METHODS
 *
 *   PROTECTED DATA MEMBERS
 *
 *   FILES
 *
 *   ENVIRONMENT
 *
 *   RETURN VALUES
 *
 *   CAUTIONS 
 *
 *   EXAMPLES
 *
 *   SEE ALSO
 *
 *   BUGS   
 * 
 *------------------------------------------------------------------------
 */

static const char *rcsId="@(#) $Id: utilPAF.C,v 1.2 2008/09/04 15:47:41 cguirao Exp $"; 
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include <sys/stat.h>

#include "utilPAF.h"

utilPAF::utilPAF()
{
    timesNextKeyCalled_ = 0;
}

utilPAF::~utilPAF()
{
}

ccsCOMPL_STAT utilPAF::ResetKeyPtr()
{
    timesNextKeyCalled_ = 0;
    if (ResetKeywordPtr() == FAILURE)
	return FAILURE;
    return SUCCESS;
}

ccsCOMPL_STAT utilPAF::NextKey()
{
    timesNextKeyCalled_++;
    if (timesNextKeyCalled_ > NumberOfKeywords())
	return SUCCESS;
    if (NextKeyword() == FAILURE)
	return FAILURE;

    return SUCCESS;
}

ccsCOMPL_STAT utilPAF::Load(const char  *fileName)
{
    slxFILENAME   completeName;
    char          *completePath;

    if (slxResolvePath(fileName, &completePath, &ErrStack()) == FAILURE)
	return FAILURE;
    if (*completePath != '/')
	{
	// Check if the file is in the local directory.
	slxFILENAME  tmpName;
	sprintf(tmpName, "$PWD/%s", fileName);	
	if (slxResolvePath(tmpName, &completePath, &ErrStack()) == FAILURE)
	    return FAILURE;
	struct stat   statBuf;
	if (stat(completePath, &statBuf) == 0)
	    strcpy(completeName, completePath);
	else
	    strcpy(completeName, fileName);
	}
    else
	strcpy(completeName, completePath);
        
    if (LoadShortFitsFile(completeName, "") == FAILURE)
	return FAILURE;

    return SUCCESS;
}


int           utilPAF::TimesNextKeyCalled()
{    
    return timesNextKeyCalled_;
}

/*___oOo___*/
