#ifndef slxPrivate_H
#define slxPrivate_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: slxPrivate.h,v 1.145 2005/07/27 09:01:55 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  10/02/99  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */


typedef struct {
    char   debugInfoBuf_;
} slxPRIVATE_DATA_;
extern slxPRIVATE_DATA_  debugInfo_;

// To support logging on stdout

/* The macro __SLX_DBG__ produces a string in the format: "FileName:Line"
 * with the name and line of the file where it has been called.            
 * It is usefull in error messages                                         
 * (the other macros defined here are just for support, since I have not   
 * found a cleaner way to define __SLX_DBG__ macro                       
 */   
#define _slx_tostr(a) #a
#define _slx_tostr_pass2(a) _slx_tostr(a) 
#define __SLX_DBG__   __FILE__ ":" _slx_tostr_pass2(__LINE__)

#define slxDEBUG_LEVEL_VAR  "SLX_DEBUG"
typedef enum {
    slxDBG0 = 0,   // Debugging information is switched off
    slxDBG1,       // Standard information level
    slxDBG2,       // Test level 
    slxDBG3,       // Debug level 3 - standard debug information level
    slxDBG4,       // Debug level 4 - specific debug information level
    slxDBG5        // Debug level 5 - very thorough debug level (bit print-out)
} isdDBG_LEVEL;

#undef slxDBG
#define slxDBG(level, info) { \
if (level <= debugLevel) \
    {\
    printf("\n%s:%s> %s", _instanceName, __SLX_DBG__, info); \
    }\
}

#undef slxDBG1
#define slxDBG1(level, info, opt1) { \
if (level <= debugLevel) \
    { \
    printf("\n%s:%s> %s %s", _instanceName, __SLX_DBG__, info, opt1); \
    } \
}

#undef slxDBG3
#define slxDBG3(level, info, opt1, opt2, opt3) { \
if (level <= debugLevel) \
    { \
    printf("\n%s:%s> %s %s %s %s", _instanceName, __SLX_DBG__, \
           info, opt1, opt2, opt3); \
    } \
}

#undef slxDBG4
#define slxDBG4(level, info, opt) { \
if (level <= debugLevel) \
    { \
    printf("\n%s:%s> %s %d", _instanceName, __SLX_DBG__, info, opt); \
    } \
}

#undef slxDBG5
#define slxDBG5(level, info, opt) { \
if (level <= debugLevel) \
    { \
    printf("\n%s:%s> %s %f", _instanceName, __SLX_DBG__, info, opt); \
    } \
}

#endif /*!slxPrivate_H*/
