/******************************************************************************
* E.S.O. - VLT project
*
* slxResetDicRecord.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  22/01/94  created
*/

/************************************************************************
*   NAME
*   slxResetDicRecord - reset a SLX Dictionary Record (slxDIC_HANDLE)
* 
*   SYNOPSIS
*   #include "slx.h"
*
*   ccsCOMPL_STAT slxResetDicRecord(slxDIC_HANDLE  *dicInfo,
*                                   ccsERROR       *error)
*
* 
*   DESCRIPTION
*   The function is used to reset an SLX Ditionary Record.
*
*   dicInfo    IN    Pointer to the dictionary record.
*
*   error      OUT   CCS error structure indicating a possible error 
*                    occurring.
*
*   RETURN VALUES 
*   SUCCESS   
*   FAILURE   
*
*   CAUTION
*   The function should not be called on a dictionary handle in which a record
*   still has not been loaded.
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: slxResetDicRecord.c,v 1.145 2005/07/27 09:27:19 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers
 */
#include <string.h>
#include <stdlib.h>

/* Local Headers
 */
#include "slx.h"

/* Function definition
 */
ccsCOMPL_STAT slxResetDicRecord(slxDIC_HANDLE  *dicInfo,
				ccsERROR       *error)
{

    if (dicInfo->description != NULL)
	{
	if (strlen(dicInfo->description) > 0)
	    free(dicInfo->description);
	}

    if (dicInfo->comFieldFormat != NULL)
	{
	if (strlen(dicInfo->comFieldFormat) > 0)
	    free(dicInfo->comFieldFormat);
	}

    memset(dicInfo, 0, sizeof(slxDIC_HANDLE));

    return SUCCESS;
}

/*
 *****************************************************************************
 */


/*___oOo___*/

