#!/usr/local/bin/tcl
#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slx.DEV.test.tcl,v 1.145 2005/07/27 12:01:54 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# jknudstr  13/10/94  created
#

#************************************************************************
#   NAME
#   slx.DEV.test.prog - development program for SLX tests
# 
#   SYNOPSIS
#   slx.DEV.test.prog
# 
#   DESCRIPTION
#   Used for testing test programs for the SLX module.
#
#   The script writes an error report to standard output. 
#
#   CAUTIONS
#   Should be executed from the ~slx/test directory.
#
#------------------------------------------------------------------------
#

source defs

set tf slxCheckModeLine.test
set env(INS_SETUPPATH) [pwd]
set rtapEnv $env(RTAPENV)


#unset env(INS_SETUPPATH)
#set env(INS_SETUPPATH) [pwd]
#catch {unset env(INS_SETUPPATH)} msg


# PART 4: Protected region not well-defined (missing start marker)
# ================================================================
test slxCheckModeLine-4 {Protected region start marker missing} {
    if {[catch "exec -keepnewline ../bin/slxCheckModeSetup $tf.bs.ins $tf.4.bs.rf -t" msg]} {
        set msg
    }
}    "\n###########################################################################
       The SLX Mode Checker for set-up files in the Short-FITS format
                         Version 1.0/September 1994

                               ESO VLT Project

---------------------------------------------------------------------------
An error occurred operating the Mode Checker!
The error diagnotics is:

Error with proteted region in Ref. Set-Up!

Please correct the error and try again!
---------------------------------------------------------------------------\n\n"



