/******************************************************************************
* E.S.O. - VLT project
*
* slxDumpError.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  23/01/95  created
*/

/************************************************************************
*   NAME
*   slxDumpError - dump contents of the CCS Error Structure
* 
*   SYNOPSIS
*   #include "slx.h"
*
*   ccsCOMPL_STAT slxDumpError(ccsERROR   *error)
* 
* 
*   DESCRIPTION
*
*   error        OUT CCS error structure indicating a possible error 
*                    occurring.
*
*
*
*   RETURN VALUES 
*   SUCCESS   In case the operation was successfull.
*   FAILURE   In case the operation failed. The following error codes can be
*             be generated by the function:
*
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: slxDumpError.c,v 1.145 2005/07/27 10:25:03 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers
 */
#include <stdio.h>

/* Local Headers
 */
#include "slx.h"

/* Function definition
 */
ccsCOMPL_STAT slxDumpError(ccsERROR  *error)
{

    fprintf(stderr, "\nError occurred!!\n\n");
    fprintf(stderr, "Failure, error is:\n");
    fprintf(stderr, "   ModuleId   : %s\n", error->moduleId);
/*
    fprintf(stderr, "   LocationId : %s\n", error->location);
    fprintf(stderr, "   ErrorNumber: %d\n", error->errorNumber);
    */
    fprintf(stderr, "   Parameters : %s\n", error->runTimePar);

    return SUCCESS;
}


/*
 *****************************************************************************
 */


/*___oOo___*/

