SIMPLE  =                    T          / Standard FITS format (rev feb 1985)
BITPIX  =                   16          / 2 byte twos-compl integers (16 bits)
NAXIS   =                    2          / 2 axis (two dimensions)
NAXIS1  =                 2086          / # pixels/row
NAXIS2  =                  501          / # rows (also # scan lines)
ORIGIN  = 'ESO-IHAP'                    / European Southern Observatory
DATE    = '20/06/94'                    / Date this tape written dd/mm/yy
CRVAL1  =                   1.          / Coordn first pixel in row (x-start)
CRPIX1  =                   1.          / Always referenced to first pixel in x
CDELT1  =                   1.          / Increment along x  (x-step)
CRVAL2  =                 800.          / Coordn first row (y-start)
CRPIX2  =                   1.          / Always referenced to first row (y)
CDELT2  =                   1.          / Increment along y  (y-step)
COMMENT IP_FILE 'IHAP/FITS/EM9406200649099.FITS::USER ' / IHAP: Begin of keyword
BSCALE  =          1.0                      / Real=Tape*BSCALE+BZERO
BZERO   =      32768.0                      / Real=Tape*BSCALE+BZERO
TELESCOP= 'ESONTTB '                        / ESO NTT focus B
INSTRUME= 'EMMI    '                        / Instrument used
OBSERVER= 'Tinney  '                        / Name of the observer
DATE-OBS= '20/06/94'                        / Date of observation (UT)
MJD-OBS =  49523.28413                      / Start of observ.=940620.064909
EXPTIME =         1.00                      / Total integration time
OBJECT  = 'INT-FLAT'                        / Original target
COMMENT / Time Reference System is used only for Sidereal time
COMMENT / All other time info is got from instr. computer clock
HIERARCH ESO GEN ID          = 'ARC-0001/1.4' / Version of related document
HIERARCH ESO GEN PROJ ID     = '053.00-000' / ESO program identification
HIERARCH ESO GEN EXPO NO     =         7467 / Image Sequence Number
HIERARCH ESO GEN EXPO TYPE   = 'CAL     '   / Type of exposure
HIERARCH ESO TEL ID          = 'ESONTT  '   / Telescope Identification
HIERARCH ESO TEL FOCU ID     = 'NASM-B  '   / Telescope focus ID
HIERARCH ESO TEL LON         =     -70.7345 / Telescope Longitude (+=East)
HIERARCH ESO TEL LAT         =     -29.2584 / Telescope Latitude (+=North)
HIERARCH ESO TEL HEIGHT      =         2440 / Telescope height (m)
HIERARCH ESO TEL FOCU LEN    =       38.482 / Focus length (m)
HIERARCH ESO TEL FOCU SCALE  =        1.489 / Focus scale (deg/m) = 5.36""/mm
HIERARCH ESO TEL TRAK RATEA  =        .0042 / Tracking rate in alpha (deg/s)
HIERARCH ESO TEL TRAK RATED  =           0. / Tracking rate in delta (deg/s)
HIERARCH ESO ADA ID          = 'ADAPTB  '   / Adapter Identification
HIERARCH ESO ADA MODE        = 'STD     '   / Mode (standard)
HIERARCH ESO ADA POSANG      =        0.000 / Rotat. at the start of the exp.
HIERARCH ESO ADA LAMP-2 NAME = 'LAMBDA-R'   / Common name
HIERARCH ESO ADA LAMP-2 TIME =         1.00 / How long the lamp was on
HIERARCH ESO ADA GUID-1 X    =   -.1524E-01 / Guide probe x position (m)
HIERARCH ESO ADA GUID-1 Y    =       -.1666 / Guide probe y position (m)
HIERARCH ESO ADA GUID-2 X    =       -.1638 / Guide probe x position (m)
HIERARCH ESO ADA GUID-2 Y    =        .1653 / Guide probe y position (m)
HIERARCH ESO INS ID          = 'EMMI #1 '   / Instrument Identification
HIERARCH ESO INS COMP ID     = 'HP RTE-A V5' / Instrument computer op. sys.
HIERARCH ESO INS MODE        = 'RILD    '   / Mode EMMI is in
HIERARCH ESO INS PATH        = 'RED     '   / EMMI arm used
HIERARCH ESO INS OPTI-2 NO   =            1 / Mirror Wheel position
HIERARCH ESO INS OPTI-2 TYPE = 'MIRROR  '   / What is this element
HIERARCH ESO INS OPTI-2 ID   = 'RILD MIR'   / Mirror unique identification
HIERARCH ESO INS OPTI-2 NAME = 'RILD    '   / Mirror position
HIERARCH ESO INS OPTI-3 NO   =            2 / LD Slits Wheel position
HIERARCH ESO INS OPTI-3 TYPE = 'SLIT    '   / What is this element
HIERARCH ESO INS OPTI-3 ID   = 'X=1019.7 *' / LD Slit unique identification
HIERARCH ESO INS OPTI-3 NAME = '1.5"    '   / LD Slit name or width
HIERARCH ESO INS MIRR-3 NAME = 'UPPER RED'  / Upper folding mirror red
HIERARCH ESO INS MIRR-3 ST   =            F / Mirror IN when true
HIERARCH ESO INS OPTI-7 NO   =            9 / Filter Wheel red position
HIERARCH ESO INS OPTI-7 TYPE = 'FREE    '   / What is this element
HIERARCH ESO INS OPTI-9 NO   =            2 / Grism Wheel position
HIERARCH ESO INS OPTI-9 TYPE = 'GRISM   '   / What is this element
HIERARCH ESO INS OPTI-9 ID   = '#2      '   / Grism unique identification
HIERARCH ESO INS OPTI-9 NAME = 'ALIGNED '   / Grism position
HIERARCH ESO INS FOCU ENC    =         8091 / Red focus unit encoder value
HIERARCH ESO INS FOCU MODE   = 'USER    '   / Red camera focus determination
HIERARCH ESO DET NAME        = 'TK2048EB'   / Detector name
HIERARCH ESO DET ID          = 'ccd$36'     / Detector serial id.
HIERARCH ESO DET TYPE        = 'CCD Tektronix' / Detector type
HIERARCH ESO DET PIXSIZE     =      24.E-06 / Size of pixel (m)
HIERARCH ESO DET BITS        =           16 / ADU bits per pixel
HIERARCH ESO DET FRAM BITS   =           16 / Number of bits/pixel transfered
HIERARCH ESO DET FRAM NAXIS1 =         2086 / Number of pixels along x
HIERARCH ESO DET FRAM CRVAL1 =          1.0 / x coordinate of lower left pixel
HIERARCH ESO DET FRAM CRPIX1 =          1.0 / x coordinate of reference pixel
HIERARCH ESO DET FRAM CDELT1 =          1.0 / Binning factor along x
HIERARCH ESO DET FRAM NAXIS2 =          501 / Number of pixels along y
HIERARCH ESO DET FRAM CRVAL2 =        800.0 / y coordinate of lower left pixel
HIERARCH ESO DET FRAM CRPIX2 =          1.0 / y coordinate of reference pixel
HIERARCH ESO DET FRAM CDELT2 =          1.0 / Binning factor along y
HIERARCH ESO DET DKTIME      =         1.00 / Dark current time (s)
HIERARCH ESO DET TEMP-VAR    =          0.0 / Temperature drift during exposure
HIERARCH ESO DET TEMPMEAN    =        152.2 / Mean detector temperature (K)
HIERARCH ESO DET COMP ID     = 'ccdr-V4.1'  / A900 CCD-program name+vers
HIERARCH ESO DET PARM1       = 'CLOCK=tek2k36admpp'
HIERARCH ESO DET PARM2       = 'VLO1 :  -8.06    VHI1 :   3.00    VDD1 :  23.52'
HIERARCH ESO DET PARM3       = 'VLO2 :  -8.05    VHI2 :   3.00    VDD2 :  23.78'
HIERARCH ESO DET PARM4       = 'HLO1 :  -4.07    HHI1 :   5.98    VDR1 :  13.77'
HIERARCH ESO DET PARM5       = 'HLO2 :  -4.08    HHI2 :   5.98    VDR2 :  14.10'
HIERARCH ESO DET PARM6       = 'RLO1 :  -0.37    RHI1 :  11.99    VGS1 :  -0.31'
HIERARCH ESO DET PARM7       = 'VLO3 :  -8.11    VHI3 :   6.00    VGS2 :  -9.28'
HIERARCH ESO DET PARM8       = '-15V : -14.72    +15V :  14.80    +30V :  27.34'
HIERARCH ESO DET DATE        = '04/02/93'   / CCD implementation date
HIERARCH ESO DET MODE        = 'SLOW    '   / Readout mode
HIERARCH ESO DET OUTPUTS     =            2 / On-chip outputs connected
HIERARCH ESO DET OUT-1 ST    =            F / If T, output enabled
HIERARCH ESO DET OUT-2 ST    =            T / If T, output enabled
HIERARCH ESO DET OUT-2 X     =         2086 / X-location for output 2
HIERARCH ESO DET OUT-2 Y     =         2046 / Y-location for output 2
HIERARCH ESO DET OUT-2 GAIN  =            2 / Gain for output 2
HIERARCH ESO DET OUT-2 ADU   =        1.400 / Electrons per ADU for output 2
HIERARCH ESO DET OUTREF      =            2 / Ref. output (gives image orient.)
HIERARCH ESO DET UDIT        =         1.00 / User defined integr. time (sec)
HIERARCH ESO DET SHUT TMOPEN =          .90 / Time needed to open shutter(sec)
HIERARCH ESO DET SHUT TMCLOS =          .99 / Time needed to close shutter(sec)
ESO-LOG  00:00:00> DATE         = '1994-06-20'  / Mon Jun 20, 1994
ESO-LOG  06:49:07>-START EXPO EMMI RED          / Start exp. on CCD EMMI RED
ESO-LOG  06:49:09> EXPO EMMI RED NO = 7467      / Exp. num. on CCD EMMI RED
ESO-LOG  06:49:10>-STOP EXPO EMMI RED           / Stop exp. on CCD EMMI RED
COMMENT IP_FEND                         / IHAP: End of keyword file
COMMENT EXPTIME 1.000
COMMENT IP_CBEND                        / IHAP: comment block end
HIERARCH ESO ARC DATAMIN    =       32768. / Minimal pixel value 
HIERARCH ESO ARC DATAMAX    =       74579. / Maximal pixel value 
HIERARCH ESO ARC DATAMEAN   =      65788.7 / Mean pixel value 
HIERARCH ESO ARC DATASIGMA  =       317.61 / Standard deviation 
HIERARCH ESO ARC DATANOISE  =        0.000 / Noise level = noisy/total bitplanes
HIERARCH ESO ARC CHECKSUM   =  -2131214991 / File CRC (32 bit CCITT)
#HIERARCH ESO INS ADF COMMENT = 'my IMA Table Version 0.1' / Optional user commen
END
