#!/usr/local/bin/tcl
#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxMergeSetupBuf.test.tcl,v 1.145 2005/07/27 11:16:13 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ---------------------------------------------
# eallaert  15/10/94  initial version
#

#**************************************************************************
#   NAME
#   slxMergeSetupFiles.test.prog - test program for slxMergeSetupFiles
#
#   SYNOPSIS
#   slxMergeSetupFiles.test.prog
#
#   DESCRIPTION
#   This test differs from ther others in that a C program carries out all
#   the tests and saves the error output in a file, and performs checks
#   of a dumped buffer containing a merge.
#
#   FILES
#   The following files are required and accessed under ~slx/test:
#	- slxMergeSetupFiles.test.1.bs   (Instrument setup)
#	- slxMergeSetupFiles.test.2.bs   (Target setup)
#	- slxMergeSetupFiles.test.3.bs   (Detector setup)
#       - slxMergeSetupFiles.test.4.bs   (Not FITS format)
#       - slxMergeSetupBuf.test.2.rf (Reference for functionality test)
#
#   CAUTIONS
#   To be executed from the ~slx/test directory
#
#   TEMPORARILY NOT PERFORMED - corrupted somehow   
#
#-----------------------------------------------------------------------------

# Take over Ousterhout's test procedure 
source ../test/defs

set tf slxMergeSetupBuf.test
set testPath [pwd]
set env(INS_SETUPPATH) [pwd]

# IMPL.: NOT PERFORMED!!!
return

# PART 1: General Error Handling
# ==============================
test slxMergeSetupBuf-1 {Error handling} {
	catch "exec slxTestMergeSetupBuf $tf.2.temp" msg
	set msg
}   "\n1.1: Handling of non-existing setup file


Error occurred!!

Failure, error is:
   ModuleId   : slx
   LocationId : slxLocateSetupFile.c
   ErrorNumber: 37
   Parameters : slxERR_LOCATE_FILE : Could not find \"nOTeXiSt\" according to INS_SETUPPATH or path given with filename


1.2: Setup file not in Short-FITS format


Error occurred!!

Failure, error is:
   ModuleId   : slx
   LocationId : slxMergeSetupBuf.c
   ErrorNumber: 3
   Parameters : slxERR_FILE_FORMAT : File \"$testPath/slxMergeSetupBuf.test.4.bs\" does not have the correct format\n"


# PART 2: Functionality Test
# ==========================
test slxMergeSetupBuf-2 {Basic functionality test} {
    set msg [exec diff $tf.2.temp $tf.2.rf]
    exec rm $testPath/$tf.2.temp
    set msg
} ""






