IMPLE                    "T";          # Standard FITS format (rev feb 1985)
BITPIX                     16;          # 2 byte twos-compl integers (16 bits)
NAXIS                       2;          # 2 axis (two dimensions)
NAXIS1                   2086;          # # pixels/row
NAXIS2                    501;          # # rows (also # scan lines)
ORIGIN   "ESO-IHAP";                    # European Southern Observatory
DATE     "20/06/94";                    # Date this tape written dd/mm/yy
CRVAL1                     1.;          # Coordn first pixel in row (x-start)
CRPIX1                     1.;          # Always referenced to first pixel in x
CDELT1                     1.;          # Increment along x  (x-step)
CRVAL2                   800.;          # Coordn first row (y-start)
CRPIX2                     1.;          # Always referenced to first row (y)
CDELT2                     1.;          # Increment along y  (y-step)
# IP_FILE 'IHAP/FITS/EM9406200649099.FITS::USER ' / IHAP: Begin of keyword
BSCALE            1.0;                      # Real=Tape*BSCALE+BZERO
BZERO         32768.0;                      # Real=Tape*BSCALE+BZERO
TELESCOP "ESONTTB ";                        # ESO NTT focus B
INSTRUME "EMMI    ";                        # Instrument used
OBSERVER "Tinney  ";                        # Name of the observer
DATE-OBS "20/06/94";                        # Date of observation (UT)
MJD-OBS   49523.28413;                      # Start of observ.=940620.064909
EXPTIME          1.00;                      # Total integration time
OBJECT   "INT-FLAT";                        # Original target
# Time Reference System is used only for Sidereal time
# All other time info is got from instr. computer clock
GEN.ID           "ARC-0001/1.4"; # Version of related document
GEN.PROJ.ID      "053.00-000"; # ESO program identification
GEN.EXPO.NO              7467; # Image Sequence Number
GEN.EXPO.TYPE    "CAL     ";   # Type of exposure
TEL.ID           "ESONTT  ";   # Telescope Identification
TEL.FOCU.ID      "NASM-B  ";   # Telescope focus ID
TEL.LON              -70.7345; # Telescope Longitude (+=East)
TEL.LAT              -29.2584; # Telescope Latitude (+=North)
TEL.HEIGHT               2440; # Telescope height (m)
TEL.FOCU.LEN           38.482; # Focus length (m)
TEL.FOCU.SCALE          1.489; # Focus scale (deg/m) = 5.36""/mm
TEL.TRAK.RATEA          .0042; # Tracking rate in alpha (deg/s)
TEL.TRAK.RATED             0.; # Tracking rate in delta (deg/s)
ADA.ID           "ADAPTB  ";   # Adapter Identification
ADA.MODE         "STD     ";   # Mode (standard)
ADA.POSANG              0.000; # Rotat. at the start of the exp.
ADA.LAMP-2.NAME  "LAMBDA-R";   # Common name
ADA.LAMP-2.TIME          1.00; # How long the lamp was on
ADA.GUID-1.X       -.1524E-01; # Guide probe x position (m)
ADA.GUID-1.Y           -.1666; # Guide probe y position (m)
ADA.GUID-2.X           -.1638; # Guide probe x position (m)
ADA.GUID-2.Y            .1653; # Guide probe y position (m)
INS.ID           "EMMI #1 ";   # Instrument Identification
INS.COMP.ID      "HP RTE-A V5"; # Instrument computer op. sys.
INS.MODE         "RILD    ";   # Mode EMMI is in
INS.PATH         "RED     ";   # EMMI arm used
INS.OPTI-2.NO               1; # Mirror Wheel position
INS.OPTI-2.TYPE  "MIRROR  ";   # What is this element
INS.OPTI-2.ID    "RILD MIR";   # Mirror unique identification
INS.OPTI-2.NAME  "RILD    ";   # Mirror position
INS.OPTI-3.NO               2; # LD Slits Wheel position
INS.OPTI-3.TYPE  "SLIT    ";   # What is this element
INS.OPTI-3.ID    "X=1019.7 *"; # LD Slit unique identification
INS.OPTI-3.NAME  "1.5"    ";   # LD Slit name or width
INS.MIRR-3.NAME  "UPPER RED";  # Upper folding mirror red
INS.MIRR-3.ST             "F"; # Mirror IN when true
INS.OPTI-7.NO               9; # Filter Wheel red position
INS.OPTI-7.TYPE  "FREE    ";   # What is this element
INS.OPTI-9.NO               2; # Grism Wheel position
INS.OPTI-9.TYPE  "GRISM   ";   # What is this element
INS.OPTI-9.ID    "#2      ";   # Grism unique identification
INS.OPTI-9.NAME  "ALIGNED ";   # Grism position
INS.FOCU.ENC             8091; # Red focus unit encoder value
INS.FOCU.MODE    "USER    ";   # Red camera focus determination
DET.NAME         "TK2048EB";   # Detector name
DET.ID           "ccd$36";     # Detector serial id.
DET.TYPE         "CCD Tektronix"; # Detector type
DET.PIXSIZE           24.E-06; # Size of pixel (m)
DET.BITS                   16; # ADU bits per pixel
DET.FRAM.BITS              16; # Number of bits/pixel transfered
DET.FRAM.NAXIS1          2086; # Number of pixels along x
DET.FRAM.CRVAL1           1.0; # x coordinate of lower left pixel
DET.FRAM.CRPIX1           1.0; # x coordinate of reference pixel
DET.FRAM.CDELT1           1.0; # Binning factor along x
DET.FRAM.NAXIS2           501; # Number of pixels along y
DET.FRAM.CRVAL2         800.0; # y coordinate of lower left pixel
DET.FRAM.CRPIX2           1.0; # y coordinate of reference pixel
DET.FRAM.CDELT2           1.0; # Binning factor along y
DET.DKTIME               1.00; # Dark current time (s)
DET.TEMP-VAR              0.0; # Temperature drift during exposure
DET.TEMPMEAN            152.2; # Mean detector temperature (K)
DET.COMP.ID      "ccdr-V4.1";  # A900 CCD-program name+vers
DET.PARM1        "CLOCK=tek2k36admpp"
DET.PARM2        "VLO1 :  -8.06    VHI1 :   3.00    VDD1 :  23.52"
DET.PARM3        "VLO2 :  -8.05    VHI2 :   3.00    VDD2 :  23.78"
DET.PARM4        "HLO1 :  -4.07    HHI1 :   5.98    VDR1 :  13.77"
DET.PARM5        "HLO2 :  -4.08    HHI2 :   5.98    VDR2 :  14.10"
DET.PARM6        "RLO1 :  -0.37    RHI1 :  11.99    VGS1 :  -0.31"
DET.PARM7        "VLO3 :  -8.11    VHI3 :   6.00    VGS2 :  -9.28"
DET.PARM8        "-15V : -14.72    +15V :  14.80    +30V :  27.34"
DET.DATE         "04/02/93";   # CCD implementation date
DET.MODE         "SLOW    ";   # Readout mode
DET.OUTPUTS                 2; # On-chip outputs connected
DET.OUT-1.ST              "F"; # If T, output enabled
DET.OUT-2.ST              "T"; # If T, output enabled
DET.OUT-2.X              2086; # X-location for output 2
DET.OUT-2.Y              2046; # Y-location for output 2
DET.OUT-2.GAIN              2; # Gain for output 2
DET.OUT-2.ADU           1.400; # Electrons per ADU for output 2
DET.OUTREF                  2; # Ref. output (gives image orient.)
DET.UDIT                 1.00; # User defined integr. time (sec)
DET.SHUT.TMOPEN           .90; # Time needed to open shutter(sec)
DET.SHUT.TMCLOS           .99; # Time needed to close shutter(sec)
ESO-LOG  00:00:00> DATE          "1994-06-20";  # Mon Jun 20, 1994
ESO-LOG  06:49:07>-START EXPO EMMI RED          / Start exp. on CCD EMMI RED
ESO-LOG  06:49:09> EXPO EMMI RED NO  7467;      # Exp. num. on CCD EMMI RED
ESO-LOG  06:49:10>-STOP EXPO EMMI RED           / Stop exp. on CCD EMMI RED
# IP_FEND                         / IHAP: End of keyword file
# EXPTIME 1.000
# IP_CBEND                        / IHAP: comment block end
ARC.DATAMIN           32768.; # Minimal pixel value 
ARC.DATAMAX           74579.; # Maximal pixel value 
ARC.DATAMEAN         65788.7; # Mean pixel value 
ARC.DATASIGMA         317.61; # Standard deviation 
ARC.DATANOISE          0.000; # Noise level = noisy/total bitplanes
ARC.CHECKSUM     -2131214991; # File CRC (32 bit CCITT)
END
