#!/usr/local/bin/tcl
#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxShortToNormalFITS.test.tcl,v 1.145 2005/07/27 11:35:17 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# jknudstr  13/10/94  created
#

#************************************************************************
#   NAME
#   slxShortToNormalFITS.test.prog - test script for slxShortToNormalFITS
# 
#   SYNOPSIS
#   slxShortToNormalFITS.test.prog
# 
#   DESCRIPTION
#   The script tests the function slxShortToNormalFITS.
#
#   The script carries out one test:
#
#   1. Test of attempt to convert obscure file.
#
#
#   The script writes an error report to standard output. 
#
#
#   FILES
#   slxConvertToNormal.test.1.bs      Is an obscure set-up file.
#
#
#   CAUTIONS
#   Should be executed from the ~slx/test directory.
#
#------------------------------------------------------------------------
#

source ../test/defs

#set verbose 1
set tf slxShortToNormalFITS.test
set env(INS_SETUPPATH) [pwd]



# PART 1: format of file is wrong
# ================================
exec cp $tf.1.bs $tf.1.temp
exec chmod ugo=+rwx $tf.1.temp
test slxSetUpToNormalFITS-1 {File format wrong} {
    if {[catch "exec -keepnewline slxSetupToNormalFITS $tf.1.temp -v" msg]} {
        set msg
    }
}    "\nCouldn't convert the file - check filename!\n"
exec rm $tf.1.temp


