#!/usr/local/bin/tcl
#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxSplitShortFITS.test.tcl,v 1.145 2005/07/27 11:37:05 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ---------------------------------------------
# eallaert  15/10/94  initial version
#

#**************************************************************************
#   NAME
#   slxSplitShortFITS.test.prog - test program for slxSplitShortFITS()
#
#   SYNOPSIS
#   slxSplitShortFITS.test.prog
#
#   DESCRIPTION
#   This script tests the slxSplitShortFITS program, as follows:
#	2.1 Normal execution of slxSplitShortFITS - parameter with string 
#	2.2 Normal execution of slxSplitShortFITS - parameter with logical
#	2.3 Normal execution of slxSplitShortFITS - parameter with integer
#	2.4 Normal execution of slxSplitShortFITS - parameter with double
#
#   To run these tests, the program slxTestSplitFITS is used.
#
#   If any of these tests fail, an error report will be sent to stdout
#
#   CAUTIONS
#   To be executed from the ~slx/test directory
#
#-----------------------------------------------------------------------------

# Take over Ousterhout's test procedure 
source ../test/defs

#set VERBOSE 1

# testP is the name of the binary we use for testing our function
set testP ../bin/slxTestSplitShortFITS


# In case of errors, exec $testP does an exit(1), so from Tcl
# we have to catch this error

# PART 1: argument testing
# ========================

# PART 2: functionality test
# ==========================
test slxSplitShortFITS-2.1 {unknown category} {
	
	set string {"cat.subsystem.parameter    \"any string \"; # comment 1 "}
	catch "exec $testP $string" msg
	set msg
}  {{cat} {subsystem} {parameter} {"any string "} {comment 1 }}


test slxSplitShortFITS-2.2 {parameter with logical value} {
	set string {"cat.subsystem.parameter    T ; # comment 2 "}
	catch "exec $testP $string" msg
	set msg
}  {{cat} {subsystem} {parameter} {T} {comment 2 }}

test slxSplitShortFITS-2.3 {parameter with integer value} {
	set string {"cat.subsystem.parameter 1234567; # comment 3 "}
	catch "exec $testP $string" msg
	set msg
}  {{cat} {subsystem} {parameter} {1234567} {comment 3 }}

test slxSplitShortFITS-2.4 {parameter with double value} {
	set string {"cat.subsystem.parameter 123.456789; # comment 4 "}
	catch "exec $testP $string" msg
	set msg
}  {{cat} {subsystem} {parameter} {123.456789} {comment 4 }}

