/******************************************************************************
* E.S.O. - VLT project
*
* slxTestCreateFITS.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  09/04/96  created
* epozna    30/07/02  exit->return (comp warnings)
*/ 

/************************************************************************
*   NAME
*   slxTestCreateFits - program to test slxCreateFits2
* 
*   SYNOPSIS
*   slxTestCreateFits <dictionary> <value> <cat> [<sub>] <par>
* 
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestCreateFits2.c,v 1.145 2005/07/27 11:53:49 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main(int argc, char *argv[])
{
    char            *keyword;
    ccsERROR        error;
    ccsPROCNAME     procName;
    miscHASH_TABLE  dicHashTable;
    slxDIC_HANDLE   *dicInfo;
    slxKEYW_LINE    newFitsLine;
    slxKEYW_LINE    keys[4];
    slxFITS_VALUE   val;
    vltINT32        i;


    miscHashInit(dicHashTable);
    memset(&val, 0, sizeof(slxFITS_VALUE));
    strcpy(procName, "slxTestCreFits2");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
	goto stdExit;

    if (argc < 4) 
	{
	printf("\nCorrect syntax is:");
	printf("\nslxTestCreateFits <dictionary> <value> <cat> [<sub>] <par>");
	printf("\n\n");
	goto stdExit;
	}
   
    /*        0               1          2      3     4/5    5|6
     * slxTestCreateFits <dictionary> <value> <cat> [<sub>] <par>
     */
    for (i = 0; i < 4; i++)
	*(keys[i]) = '\0';
    for (i = 3; i < argc; i++)
	strcpy(keys[i - 3], argv[i]);
    keyword = slxAssKey(keys[0], 0, keys[1], 0, keys[2], 0, keys[3], 0, NULL);

    if (slxLoadDicHash(dicHashTable, argv[1], &error) == FAILURE)
	goto stdExit;
    if (slxLookUpKeywordHashX(dicHashTable, keyword, &dicInfo, 
			      &error) == FAILURE)
	goto stdExit;
    switch (dicInfo->dicParamType)
	{
	case slxSTRING:
	    val.s = argv[2];   
	    if (slxCreateFits2(dicHashTable, val, ccsTRUE, newFitsLine, &error,
			       keys[0], keys[1], keys[2], keys[3], 
			       NULL) == FAILURE)
		goto stdExit;
	    break;
	case slxLOGICAL:
	    if (strstr(argv[2], "T") != NULL)
		val.l = ccsTRUE;
	    else
		val.l = ccsFALSE;
	    if (slxCreateFits2(dicHashTable, val, ccsTRUE, newFitsLine, 
			       &error, keys[0], keys[1], keys[2], keys[3], 
			       NULL)==FAILURE)
		goto stdExit;
	    break;
	case slxINTEGER:
	    val.i = atoi(argv[2]);
	    if (slxCreateFits2(dicHashTable, val, ccsTRUE, newFitsLine, &error,
			       keys[0], keys[1], keys[2], keys[3], 
			       NULL)==FAILURE)
		goto stdExit;
	    break;
	default:
	    val.d = atof(argv[2]);
	    if (slxCreateFits2(dicHashTable, val, ccsTRUE, newFitsLine, &error,
			       keys[0], keys[1], keys[2], keys[3], 
			       NULL)==FAILURE)
		goto stdExit;
	    break;
	}	

    printf("|%s|", newFitsLine);

    goto stdExit;   

  stdExit:
    slxFreeDictionary(dicHashTable, &error);
#ifndef NOCCS
    if (error.errorNumber)
#else
    if (errGetStackSize(&error))
#endif
	{
	slxPrintError(&error);
	ccsExit(&error);
	return(1);
	}
    else
	{
	ccsExit(&error);
	return(0);
	}
}







