/******************************************************************************
* E.S.O. - VLT project
*
* slxTestCreateShortFITS.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/08/94  Created 1. version
* epozna    30/07/02  comp warnings: exit->return
*/

/************************************************************************
*   NAME
*   slxTestCreateShortFITS - Program to test slxCreateShortFITS(3)
* 
*   SYNOPSIS
*   slxTestCreateShortFITS 
* 
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestCreateShortFITS.c,v 1.145 2005/07/27 11:54:29 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main(int argc, char *argv[])
{
    ccsERROR     error;
    ccsPROCNAME  procName;
    slxKEYW_LINE newFitsLine;
    slxPAR_TYPE  parameterType;
    vltUINT8     precision;
    vltLOGICAL   exponential;
    vltLOGICAL   logicalValue;
    vltINT32     integerValue;
    vltDOUBLE    doubleValue;
    int		i;
    double	x;
 
    /* Arguments 1,2,3,5,11 are type char, so use argv[i] for them */
    
    /* Fourth is parametertype - an enumerated integer 1-4 */
    sscanf (argv[4], "%d", &i);
    parameterType = i;

    /* Sixth is a logical */
    sscanf (argv[6], "%d", &i);
    logicalValue = i;

    /* Seventh is INT32 */
    sscanf (argv[7], "%d", &i);
    integerValue = i;

    /* Eighth is UINT8 */
    sscanf (argv[8], "%u", &i);
    precision = i;

    /* Nineth is a logical */
    sscanf (argv[9], "%d", &i);
    exponential = i;

    /* Tenth is a double */
    sscanf (argv[10], "%lf", &x);
    doubleValue = x;

    strcpy(procName, argv[0]);
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
	{
	fprintf (stderr,"ccsInit failed.\n");
	return(1);
	}
    
    if (slxCreateShortFITS(argv[1],
			   argv[2],
			   argv[3],
			   parameterType,
			   argv[5],
			   logicalValue,
			   integerValue, 
			   precision, 
			   exponential,
			   doubleValue,
			   argv[11],
			   newFitsLine,
			   &error) == FAILURE)
    {
	fprintf(stderr,"%s",error.runTimePar);
	return (1);
    }
    else
    {
	
	printf("%s", newFitsLine);
	return(0);
    }
}







