##!/vlt/bin/sequencer -f
#*******************************************************************************
# E.S.O. - VLT project
#
# slxTestDriver.tcl
#
# who       when      what
# --------  --------  ----------------------------------------------
# jknudstr  01/02/94  created
# mnylund   17/07/03  removed -f opt from seqSh  (APR2004 tcl/tk updat)

#************************************************************************
#   NAME
#   slxTestDriver - main test executor for the SLX library
# 
#   SYNOPSIS
#   slxTestDriver
# 
#   DESCRIPTION
#   Used for running test programs for the SLX module.
#
#   CAUTIONS
#   Should be executed from the ~slx/ws/bin directory.
#
#------------------------------------------------------------------------
#

exec clear
set testPath ../test/
##exec umask 0111  
# There were problems in connection with the integration tests concerning
# the file permissions (test of Extract Setup and Merge Setup Files
# were cancelled). This problem should be handled for the next release.

exec chmod +x ../test/slx.master.test.tcl

# APPR2004 removed -f option  
#exec seqSh -f ../test/slx.master.test.tcl > $testPath/slxTestRes.rep
exec seqSh  ../test/slx.master.test.tcl > $testPath/slxTestRes.rep

set msg [exec diff $testPath/slxTestRes.rep $testPath/slxTestRes.ref]

if {[string length $msg] != 0} {
    echo "slx FAIL"
} else {
    echo "slx PASS"
}

exec rm $testPath/slxTestRes.rep

exit 0

