/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestGetNextKeyBuf.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  11/10/95  Created
* epozna    30/07/02  comp warnings: exit->return
*/

/************************************************************************
*   NAME
*   slxTestGetNextKeyBuf - test program for slxGetNextKeyBuf()
* 
*   SYNOPSIS
*   slxTestGetNextKeyBuf <setup file> <dump file>
*
*   DESCRIPTION
* 
*   ENVIRONMENT
* 
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestGetNextKeyBuf.c,v 1.145 2005/07/27 11:57:16 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Local Headers 
 */
#include "slx.h"
#include "slxTest.h"

/* Main
 */
int main(int argc, char *argv[])
{
    ccsERROR           error;
    ccsPROCNAME        procName;
    char               completeName[256];
    slxDYN_BUF         setupHandle;
    slxDYN_BUF         tempBuf;
    slxCHANGE_RECORD   changeRec;
    slxFILENAME        saveFile;
    slxKEYW_LINE       keyword;
    slxKEYW_LINE       value;
    slxKEYW_LINE       keywordLine;

 
    if (argc < 3)
        {
        printf("\nCorrect syntax is:\n\n");
        printf("slxTestGetNextKeyBuf <setup file> <dump file>\n\n");
        return(1);
        }
    
    strcpy(procName, "slxGetNextKey");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        {
	slxDumpError(&error);
        return(1);
        }

    slxInitDynBuf(&setupHandle, &error);
    slxInitDynBuf(&tempBuf, &error);

    strcpy(completeName, argv[1]);    
    if (slxLoadSetup(completeName, &setupHandle, changeRec, &error) == FAILURE)
	goto errorCond;	

    /* Get all the keyword-value pairs in the "setupHandle" and store
     * these in the "tempBuf"
     */
    if (slxGetNextKeyBuf(&setupHandle, ccsTRUE, keyword, value, 
			 &error) == FAILURE)
	goto errorCond;	
    do
	{
	if (slxGetNextKeyBuf(&setupHandle, ccsFALSE, keyword, value, 
			 &error) == FAILURE)
	    goto errorCond;
	if (*keyword != '\0')
	    {
	    sprintf(keywordLine, "%s %s\n", keyword, value);
	    if (slxStoreBufDynBuf(&tempBuf, keywordLine, strlen(keywordLine),
				  &error) == FAILURE)
		goto errorCond;  
	    }
	}
    while (*keyword != '\0');

    strcpy(saveFile, argv[2]);
    /* Save the contents in the Save File
     */
    if (slxSaveFile(saveFile, argv[1], &tempBuf, &error) == FAILURE)
	goto errorCond;


    slxResetDynBuf(&setupHandle, &error);
    slxResetDynBuf(&tempBuf, &error);   
    ccsExit(&error);
    return(0);

  errorCond:
    slxDumpError(&error);
    slxResetDynBuf(&setupHandle, &error);
    slxResetDynBuf(&tempBuf, &error);   
    ccsExit(&error);
    return(1);
}















