/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestLoadSetup.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  24/01/95  Created 1. version
* epozna    30/07/02  comp warnings: exit->return,inc string.h
*/

/************************************************************************
*   NAME
*   slxTestLoadSetup - load a setup into an SLX Dynamic Buffer
* 
*   SYNOPSIS
*   slxTestLoadSetup <set-up filename> <dump filename>
* 
*   DESCRIPTION
*   ...
*
*   ENVIRONMENT
*   INS_SETUPPATH      Specifies paths where set-up files can be located.
*
*
*   RETURN VALUES
*   0  Success
*   1  Success
*
*
*   EXAMPLES
*   slxTestLoadSetup mySetup1.ref /home/user1/test/testFile1
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: slxTestLoadSetup.c,v 1.145 2005/07/27 11:59:10 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/*
 * Header
 */
#include <string.h>

/* Local Headers 
 */
#include "slx.h"
#include "slxTest.h"
#include "slxStringList.h"
/* Main
 */
int main (int argc, char *argv[])
{


    ccsERROR          error;
    ccsPROCNAME       procName;
    slxDYN_BUF        setupHandle;
    slxCHANGE_RECORD  changeRec;


    /* Check input parameters
     */
    if (argc < 3)
	{
        printf("\nCorrect syntax is: \n\n");
        printf("slxTestLoadSetup <set-up filename> <dump filename>\n\n");
        return(1);
        }
    
    strcpy(procName, "slxTestLoadSetup");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        {
        printf("\nError in initializing on RTAP!\n\n");
        return(1);
        }


    if (slxInitDynBuf(&setupHandle, &error) == FAILURE)
	{
	slxDumpError(&error);
	slxResetDynBuf(&setupHandle, &error);
        ccsExit(&error);
        return(1);
	}

    /* Load the setup
     */
    if (slxLoadSetup(argv[1], &setupHandle, changeRec, &error) == FAILURE)
        {	
	slxDumpError(&error);
	slxResetDynBuf(&setupHandle, &error);
        ccsExit(&error);
        return(1);
        }

    /* Dump the contents in the Dump File
     */
    if (slxDumpBuf(&setupHandle, argv[2], &error) == FAILURE)
	{
	slxDumpError(&error);
	slxResetDynBuf(&setupHandle, &error);
        ccsExit(&error);
        return(1);
	}

    slxResetDynBuf(&setupHandle, &error);
    ccsExit(&error);
    return(0);
}







