/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestMakeSetupMsgBuf.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  12/10/95  Created
*/

/************************************************************************
*   NAME
*   slxTestMakeSetupMsgBuf - load a file and save it afterwards
* 
*   SYNOPSIS
*   slxTestMakeSetupMsgBuf <load file> <save file>
* 
*   DESCRIPTION
*
*   ENVIRONMENT
*
*   RETURN VALUES
*
*   EXAMPLES
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h"

static char *rcsId="@(#) $Id: slxTestMakeSetupMsgBuf.c,v 1.145 2005/07/27 11:59:48 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <string.h>

/* Local Headers 
 */
#include "slx.h"
#include "slxTest.h"

/* Main
 */
int main (int argc, char *argv[])
{
    ccsERROR          error;
    ccsPROCNAME       procName;
    slxCHANGE_RECORD  changeRecord;
    slxDYN_BUF        fileHandle;
    slxDYN_BUF        tempBuf;
    slxFILENAME       loadFile;
    slxFILENAME       saveFile;
    slxSETUP_FLAGS    setupFlags;


    /* Check input parameters
     */
    if (argc < 3)
      {
      printf("\nCorrect syntax is: \n\n");
      printf("slxTestMakeSetupMsgBuf <load file> <save file>\n\n");
      exit(1);
      }
    
    strcpy(procName, "slxTestMakeSupMsg");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        {
        printf("\nError in initializing on RTAP!\n\n");
        exit(1);
        }

    slxInitDynBuf(&fileHandle, &error);
    slxInitDynBuf(&tempBuf, &error);

    strcpy(loadFile, argv[1]);
    strcpy(saveFile, argv[2]);

    /* Load the file
     */
    memset(changeRecord, 0, slxNO_OF_CH_REC_ELS);
    if (slxLoadSetup(loadFile, &fileHandle, changeRecord,
		     &error) == FAILURE)
	goto errorCond;

    setupFlags.expoID = 12345;
    setupFlags.noMove = ccsTRUE;
    setupFlags.check = ccsFALSE;
    if (slxMakeSetupMsgBuf(&fileHandle, changeRecord, &setupFlags, 
			   &tempBuf, &error) == FAILURE)
	goto errorCond;
    
    /* Save the contents in the Save File
     */
    tempBuf.bytesStored--;
    if (slxSaveFile(saveFile, "", &tempBuf, &error) == FAILURE)
	goto errorCond;

    slxResetDynBuf(&fileHandle, &error);
    slxResetDynBuf(&tempBuf, &error);  
    ccsExit(&error);
    exit(0);

  errorCond:
    slxDumpError(&error);
    slxResetDynBuf(&fileHandle, &error);
    slxResetDynBuf(&tempBuf, &error);  
    ccsExit(&error);
    exit(1);

}







