/******************************************************************************
* E.S.O. - VLT project
*
* slxTestNormalToShortFits2.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna    30/07/02 created (VLTSW20000298)
* 
*/

/************************************************************************
*   NAME
*   slxTestNormalToShortFits2 - test program for slxShortToNormalFits2
* 
*   SYNOPSIS
*   slxTestNormalToShortFits2 <dictionary> <file contaning line>
*   
*   DESCRIPTION 
*   test of VLTSW20000298
*   see also slxTestShortToNormalFits2.c
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestNormalToShortFits2.c,v 1.145 2005/07/27 12:30:33 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main(int argc, char *argv[])
{
    ccsERROR        error;  
  
    slxKEYW_LINE    normalFits;
    slxKEYW_LINE    shortFits;


    errResetStack(&error);
    memset(normalFits, 0, sizeof(slxKEYW_LINE));
    memset(shortFits, 0, sizeof(slxKEYW_LINE));

    strcpy(normalFits,argv[1]);

  
    if (slxNormalToShortFITS(normalFits,shortFits , 
			     &error) == FAILURE)
	{
	printf("ERROR converting the data");
	goto stdExit; /* return (1);*/
	}
    printf("'%s'",shortFits );

    return (0);
  

  stdExit: 
    
#ifndef NOCCS
    if (error.errorNumber)
#else
    if (errGetStackSize(&error))
#endif
	{
	slxPrintError(&error);
	ccsExit(&error);
	return(1);
	}
    else
	{
	ccsExit(&error);
	return(0);
	}

}

