/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestShortFITSToAlias.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  20/09/94  Created
* epozna    30/07/02   exit->return (comp warnings)
*/

/************************************************************************
*   NAME
*   slxTestShortFITSToAlias - test program for slxShortFITSToAlias()
* 
*   SYNOPSIS
*   slxTestShortFITSToAlias
* 
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h"


static char *rcsId="@(#) $Id: slxTestShortFITSToAlias.c,v 1.145 2005/07/27 12:05:51 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);


/*
 * System Headers 
 */

#include <stdlib.h>
#include <string.h>


/*
 * Local Headers 
 */

#include "slx.h"


/* 
 * Main
 */

int main (int argc, char *argv[])
{
    ccsERROR     error;
    ccsPROCNAME  procName;
    char         alias[81];
    char         testStrings[30][32];
    char         tableName[32];
    int          n;


    strcpy(procName, "slxTestAlias2SF");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        return(1);

    strcpy((char *)testStrings[0], "#ISAAC");
    strcpy((char *)testStrings[1], "TEL.LAT");
    strcpy((char *)testStrings[2], "XXX.XXXX.XXX");
    strcpy((char *)testStrings[3], "ADA.ID");
    strcpy((char *)testStrings[4], "ZZZ.ZZZ.ZZZ");
    strcpy((char *)testStrings[5], "#UVES");
    strcpy((char *)testStrings[6], "U.ADA.GUID-1.X");
    strcpy((char *)testStrings[7], "U.TEL.LAT");
    strcpy((char *)testStrings[8], "U.INS.OPTI-2.NO");
    strcpy((char *)testStrings[9], "U.TEL.LON");
    strcpy((char *)testStrings[10], "ncncnccn");
    strcpy((char *)testStrings[11], "#FORS");
    strcpy((char *)testStrings[12], "F.TEL.LON");
    strcpy((char *)testStrings[13], "F.TEL.FOCU.LEN");
    strcpy((char *)testStrings[11], "#FORS");
    strcpy((char *)testStrings[12], "F.TEL.HEIGHT");
    strcpy((char *)testStrings[13], "F.TEL.LAT");
    strcpy((char *)testStrings[14], "#ISAAC");
    strcpy((char *)testStrings[15], "ADA.GUID-1.X");
    strcpy((char *)testStrings[16], "ADA.ID");
    strcpy((char *)testStrings[17], "vbvbvbv");
    strcpy((char *)testStrings[18], "TEL.FOCU.LEN");
    strcpy((char *)testStrings[19], "#UVES");
    strcpy((char *)testStrings[20], "bvbvbvb");
    strcpy((char *)testStrings[21], "U.INS.OPTI-2.NO");
    strcpy((char *)testStrings[22], "U.ADA.GUID-1.X");
    strcpy((char *)testStrings[23], "bvbvbvb");
    strcpy((char *)testStrings[24], "U.TEL.FOCU.LEN");
    strcpy((char *)testStrings[25], "#FORS");
    strcpy((char *)testStrings[26], "F.ADA.ID");
    strcpy((char *)testStrings[27], "F.TEL.HEIGHT");
    strcpy((char *)testStrings[28], "#NONEXIST");
    strcpy((char *)testStrings[29], "F.ADA.ID");

    for (n = 0; n < 30; n++)
        {
        if (*testStrings[n] == '#')
            {
            strcpy((char *)tableName, (testStrings[n] + 1));
            strcat((char *)tableName, ".alias");
            printf("\n\nLoading new Alias Conversion Table: %s", tableName);
            if (slxShortFITSToAlias(testStrings[n], ccsTRUE, 
                                    tableName, alias,
                                    &error) != SUCCESS)
		{
                printf("\nError in creating/loading the hash table");
		errResetStack(&error);
		}
            }
        else 
            {
            if (slxShortFITSToAlias(testStrings[n], ccsFALSE, "", alias,
                                    &error) != SUCCESS)
		{
                printf("\nError in converting the keyword: %s", testStrings[n]);
		errResetStack(&error);
		}
            else
                printf("\nKeyword %s is %s", testStrings[n], alias);
            }
        }
    printf("\n\n");
    ccsExit(&error);
    return(0);
}





