/******************************************************************************
* E.S.O. - VLT project
*
* slxTestShortToNormalFits2.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  09/04/96  created
* epozna    30/07/02  comp warnings: exit->return
*/

/************************************************************************
*   NAME
*   slxTestShortToNormalFits2 - test program for slxShortToNormalFits2
* 
*   SYNOPSIS
*   slxTestShortToNormalFits2 <dictionary> <file contaning line>
* 
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestShortToNormalFits2.c,v 1.145 2005/07/27 12:07:10 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main(int argc, char *argv[])
{
    ccsERROR        error;
    ccsPROCNAME     procName;
    miscHASH_TABLE  dicHashTable;
    slxDYN_BUF      dynBuf;
    slxKEYW_LINE    normalFits;
    slxKEYW_LINE    shortFits;

    miscHashInit(dicHashTable);
    memset(normalFits, 0, sizeof(slxKEYW_LINE));
    memset(shortFits, 0, sizeof(slxKEYW_LINE));
    strcpy(procName, "slxSh2NormFits2");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
	goto stdExit;

    if (argc < 3) 
	{
	printf("\nCorrect syntax is:");
	printf("\nslxTestShortToNormalFits2 <dictionary> "
	       "<file contaning line>");
	printf("\n\n");
	goto stdExit;
	}
   
    miscHashInit(dicHashTable);
    if (slxLoadDicHash(dicHashTable, argv[1], &error) == FAILURE)
	goto stdExit;
    slxInitDynBuf(&dynBuf, &error);
    if (slxLoadFile(argv[2], "", &dynBuf, &error) == FAILURE)
	goto stdExit;
    if (slxGetNextLineBuf(&dynBuf, slxINIT_DYN_BUF, shortFits, 
			  &error) == FAILURE)
	goto stdExit;
    if (slxGetNextLineBuf(&dynBuf, slxDO_NOT_INIT, shortFits, 
			  &error) == FAILURE)
	goto stdExit;
    if (slxShortToNormalFits2(shortFits, normalFits, dicHashTable, 
			      &error) == FAILURE)
	goto stdExit;

    printf("|%s|", normalFits);

    goto stdExit;   

  stdExit: 
    slxFreeDictionary(dicHashTable, &error);
#ifndef NOCCS
    if (error.errorNumber)
#else
    if (errGetStackSize(&error))
#endif
	{
	slxPrintError(&error);
	ccsExit(&error);
	return(1);
	}
    else
	{
	ccsExit(&error);
	return(0);
	}
}







