/******************************************************************************
* E.S.O. - VLT project
*
* slxTestSplitFits2.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  09/04/96  created
* epozna    30/07/02  comp warnings: exit->return
*/

/************************************************************************
*   NAME
*   slxTestSplitFits - Program to test slxSplitFits2
* 
*   SYNOPSIS
*   slxTestSplitFits2 <fits line>
* 
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestSplitFits2.c,v 1.145 2005/07/27 12:07:48 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main(int argc, char *argv[])
{
    ccsERROR	  error;
    ccsPROCNAME   procName;
    slxKEYW_LINE  category;
    slxKEYW_LINE  subSystem1;
    slxKEYW_LINE  subSystem2;
    slxKEYW_LINE  parameter;
    slxKEYW_LINE  value;
    slxKEYW_LINE  comment;
 

    strcpy(procName, argv[0]);
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
	{
	fprintf (stderr,"ccsInit failed.\n");
	return(1);
	}
    
    if (slxSplitFits2(argv[1], category, subSystem1, subSystem2, parameter,
		      value, comment, &error) == FAILURE)
	{
	fprintf(stderr,"%s",error.runTimePar);
	return (1);
	}
    else
	{
	printf("{%s} {%s} {%s} {%s} {%s} {%s}",
	       category, subSystem1, subSystem2, parameter, value, comment);	
	return(0);
	}
}







