/******************************************************************************
* E.S.O. - VLT project
*
* slxTestYankExtention.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna    30/07/02  Created to test VLTSW20000334  
*                     (note: no previous tests of yankextention)                 
*/

/************************************************************************
*   NAME
*   slxTestYankExtention - tests the functions slxYankExtention..()
*
*   SYNOPSIS
*   slxTestYankExtention <fileneme> <result>
*
*   DESCRIPTION: 
*   VLTSW20000334  slxYankExtentionLast shuld remove the extentention 
*                  after the last dot.
*
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestYankExtention.c,v 1.145 2005/07/27 12:32:29 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <string.h>
/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main (int argc, char *argv[])
{
    
    slxFILENAME filename ="";
    vltBYTES16  ext      ="";    
    slxFILENAME  fname1,fname2,fname3,fname4;
    ccsERROR    error;

    errResetStack(&error);

    if ((argc < 2)  )
        {
        printf("\nSyntax is:\n slxTestYankExtention <filename> \n");
        return(1);
        } 
    
    strcpy(filename,argv[1]);
    strcpy((char*)fname1,filename);
    strcpy((char*)fname2,filename);
    strcpy((char*)fname3,filename);
    strcpy((char*)fname4,filename);

    /* test-a) declare the extention
     */ 
    if(slxGetExtension(filename)!=NULL)
	{
	strcpy(ext,slxGetExtension(filename));
	printf("'%s'\n",ext);
	}
    else
	{
	printf("''\n");
	}

    /* test-b) remove the  extention that has been declared
     */
    slxYankExtension((char*)fname1, ext);
    printf("'%s'\n",fname1);
    
    /* test-c) remove the last extention (after the first dot)
     */
    slxYankExtensionGen((char*)fname2);
    printf("'%s'\n",fname2);

    /* test-d) remove the  extention (after the last dot)
     */
    slxYankExtensionGenLast((char*)fname3);
    printf("'%s'\n",fname3);

    /* test-e) try to remove a non existant extention
     */
    slxYankExtension((char*)fname4, "xxx"); 
    printf("'%s'\n",fname4);

 
    return(0);
}










